﻿(function ($) {
    $.fn.actionBar = function (opts) {
        let $this = $(this);
        let stgs = $.extend({
            prefix: "",
            actions: [],
            onAdd: null,
            onEdit: null,
            onCopy: null,
            onUpload: null,
            onDownload: null,
            onDelete: null
        }, opts);

        for (var i = 0; i < stgs.actions.length; i++) {
            if (stgs.actions[i] == "add") {
                $this.append('<button type="button" class="btn btn-success btn-sm js-action-add' + stgs.prefix + '">' +
                    '<span class="mdi mdi-plus pr-lg-1"></span><span class="d-none d-lg-inline-block">Создать</span></button>');
                $('.js-action-add' + stgs.prefix, $this).on("click", function () {
                    if (stgs.onAdd) {
                        stgs.onAdd();
                    }
                });
                continue;
            }

            if (stgs.actions[i] == "edit") {
                $this.append('<button type="button" class="btn btn-primary btn-sm js-action-edit' + stgs.prefix + '">' +
                    '<span class="mdi mdi-pencil pr-lg-1"></span><span class="d-none d-lg-inline-block">Редактировать</span></button>');
                $('.js-action-edit' + stgs.prefix, $this).on("click", function () {
                    if (stgs.onEdit) {
                        stgs.onEdit();
                    }
                });
                continue;
            }

            if (stgs.actions[i] == "copy") {
                $this.append('<button type="button" class="btn btn-info btn-sm js-action-copy' + stgs.prefix + '">' +
                    '<span class="mdi mdi-content-copy pr-lg-1"></span><span class="d-none d-lg-inline-block">Копировать <span class="badge badge-light">0</span></span></button>');
                $('.js-action-copy' + stgs.prefix, $this).on("click", function () {
                    if (stgs.onCopy) {
                        stgs. onCopy();
                    }
                });
                continue;
            }

            if (stgs.actions[i] == "upload") {
                $this.append('<button type="button" class="btn btn-info btn-sm js-action-upload' + stgs.prefix + '">' +
                    '<span class="mdi mdi-cloud-upload pr-lg-1"></span><span class="d-none d-lg-inline-block">Загрузить</span></button>');
                $('.js-action-upload' + stgs.prefix, $this).on("click", function () {
                    if (stgs.onUpload) {
                        stgs.onUpload();
                    }
                });
                continue;
            }

            if (stgs.actions[i] == "download") {
                $this.append('<button type="button" class="btn btn-info btn-sm js-action-download' + stgs.prefix + '">' +
                    '<span class="mdi mdi-cloud-download pr-lg-1"></span><span class="d-none d-lg-inline-block">Скачать</span></button>');
                $('.js-action-download' + stgs.prefix, $this).on("click", function () {
                    if (stgs.onDownload) {
                        stgs.onDownload();
                    }
                });
                continue;
            }

            if (stgs.actions[i] == "delete") {
                $this.append('<button type="button" class="btn btn-danger btn-sm js-action-delete' + stgs.prefix + '">' +
                    '<span class="mdi mdi-delete pr-lg-1"></span><span class="d-none d-lg-inline-block">Удалить <span class="badge badge-light">0</span></span></button>');
                $('.js-action-delete' + stgs.prefix, $this).on("click", function () {
                    if (stgs.onDelete) {
                        stgs.onDelete();
                    }
                });
                continue;
            }
        }
    };
})(jQuery);