﻿var regexs = [
			  new RegExp("^(PRINT)\\s+(([A-Z]+[0-9]+)|('(.)+'))"),//0
              new RegExp("^(PRINTH)\\s+(([A-Z]+[0-9]+)|('(.)+'))"),//1
			  new RegExp("^(READ)\\s+([A-Z]+[0-9]+)"),//2
			  new RegExp("^(IF)\\s+([A-Z]+[0-9]+)\\s*([\\=\\=\\*\\>\\*\\<\\*\\!\\=\\*\\>\\=\\*\\<\\=\\*]*)\\s*(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)\\s+([0-9]+L)\\s+([0-9]+L)"),
              new RegExp("^(GOTO)\\s+(([0-9]+L)*([A-Z]+[0-9]+)*([0-9]+)*)"),//4
              new RegExp("^(CASE)\\s+([A-Z]+[0-9]+)\\s+(([0-9]+)\\s*:\\s*([0-9]+L)\\s+)*"),//5
			  new RegExp("^([0-9]+L)"),
			  new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(MIN\\(\\s*((([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)(\\s+(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*))*)\\s*\\))"),
			  new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(MAX\\(\\s*((([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)(\\s+(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*))*)\\s*\\))"),
              new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(ABS)\\s+(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)"),
			  new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(COS)\\s+(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)"),
			  new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(SIN)\\s+(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)"),
			  new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(TAN)\\s+(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)"),
			  new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(SQRT)\\s+(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)"),
			  new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(TRUNC)\\s+(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)"),//14
			  new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(ROUND)\\s+(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)"),//15
			  new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(ROUND\\([1-9]\\))\\s+(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)"),//16
              new RegExp("^(\\/\\/)(.)+"),
			  new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(\\'([\\s*\\S*]*)\\')"),
			  new RegExp("^([A-Z]+[0-9]+)\\s*\\=\\s*(([A-Z]+[0-9]+)*([-+]?(\\d*[.])?\\d+)*)")

];

$.solveregimetask = function () {
    var label = "", line = "";
    var kflag = false;
    var fl = 0;
    for (var k = page._programmableTask.bpos; k <= page._programmableTask.algorithm.length; k++) {
        if (k == page._programmableTask.algorithm.length && label != "") {
            fl++;
            if (fl > 1) {
                page._timer.api().stop();
                page.$console.val("Метка " + label + " отсутствует в алгоритме.")
                    .scrollTop(page.$console[0].scrollHeight).attr("disabled", "disabled");
                label = "";
                fl = 0;
            }
            else {
                k = 1;
                line = page._programmableTask.algorithm[0];
            }
        } else if (k == page._programmableTask.algorithm.length && label == "") {
            let mfn0 = 0, fn0 = 0;
            var _searchedIndex = $.inArray("MFN0", page._programmableTask.symboltable.name);
            if (_searchedIndex >= 0) {
                mfn0 = page._programmableTask.symboltable.value[_searchedIndex];
            }

            _searchedIndex = $.inArray("FN0", page._programmableTask.symboltable.name);
            if (_searchedIndex >= 0) {
                fn0 = page._programmableTask.symboltable.value[_searchedIndex];
            }
            let timeoff = page._timer.api().isTimeOff();
            if (timeoff == true) {
                fn0 = mfn0;
            }

            page.$curfine.text(fn0);
            var msg = "Решение завершено. Выполнены все шаги алгоритма со штрафом: " + fn0;
            if (fn0 >= mfn0) {
                fn0 = mfn0;
                msg = "Решение завершено. Набранный штраф равняется максимально допустимому. ";
            }
            $.bindinttable();
            page.saveAnswers(msg, fn0, 1, function () {
                alert(msg);
                we_testing.finishTestingByTheme(page._urlParam.protocolid, page._urlParam.themeid, page._finishlnk, false, function (response) {
                    let addUrl = we_testing.buildTestingAdditionalUrl(page._urlParam);
                    if (!page._finishlnk && !!response && response.id != we_helper.getEmptyGuid() && !timeoff) {
                        we_testing.gotoTestingByTheme(response, addUrl);
                    } else {
                        we_testing.goToTestingProtocol(page._urlParam.protocolid, addUrl);
                    }
                });
            });
            return false;
        } else {
            line = page._programmableTask.algorithm[k].split("//")[0];
        }
        line = line != "" ? line.trim() : line;
        if (line != "") {
            for (var i = 0; i < regexs.length; i++) {
                var flag = false;
                var match = line.match(regexs[i]);
                if (match != null) {
                    switch (i) {
                        case 0:
                            {
                                if (label == "") {
                                    var msg = "";
                                    if (match[2].indexOf("'") == -1) {
                                        var _searchedIndex = $.inArray(match[2], page._programmableTask.symboltable.name);
                                        if (_searchedIndex >= 0) {
                                            msg = page._programmableTask.symboltable.value[_searchedIndex];
                                        }
                                        else {
                                            msg = match[2];
                                        }
                                    }
                                    else {
                                        msg = match[2].replace(/'/g, '');
                                    }

                                    page.$console.val(page.$console.val() + msg + "\n").scrollTop(page.$console[0].scrollHeight);

                                    let fn0 = 0;
                                    _searchedIndex = $.inArray("FN0", page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        fn0 = page._programmableTask.symboltable.value[_searchedIndex];
                                    }
                                    page.saveAnswers(msg, fn0, 0);
                                }
                                flag = true; break;
                            }
                        case 1:
                            {
                                if (label == "" && page._programmableTask.showPrintH) {
                                    var msg = "";
                                    if (match[2].indexOf("'") == -1) {
                                        var _searchedIndex = $.inArray(match[2], page._programmableTask.symboltable.name);
                                        if (_searchedIndex >= 0) {
                                            msg = page._programmableTask.symboltable.value[_searchedIndex];
                                        }
                                        else {
                                            msg = match[2];
                                        }
                                    }
                                    else {
                                        msg = match[2].replace(/'/g, '');
                                    }

                                    let fn0 = 0;
                                    _searchedIndex = $.inArray("FN0", page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        fn0 = page._programmableTask.symboltable.value[_searchedIndex];
                                    }

                                    page.$console.val(page.$console.val() + msg + "\n").scrollTop(page.$console[0].scrollHeight);
                                    page.saveAnswers(msg, fn0, 0);
                                }
                                flag = true; break;
                            }
                        case 2:
                            {
                                if (label == "") {
                                    page._programmableTask.bpos = k;
                                    kflag = true;

                                    page.$console.val(page.$console.val() + ">>  ").scrollTop(page.$console[0].scrollHeight);
                                }
                                flag = true; break;
                            }
                        case 3:
                            {
                                if (label == "") {
                                    var var1 = 0, var2 = 0;
                                    var _searchedIndex = $.inArray(match[2], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0 && $.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                        var1 = parseFloat(page._programmableTask.symboltable.value[_searchedIndex]);
                                    }
                                    else {
                                        label = match[9];
                                        flag = true; break;
                                    }
                                    _searchedIndex = $.inArray(match[4], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                            var2 = parseFloat(page._programmableTask.symboltable.value[_searchedIndex]);
                                        } else {
                                            label = match[9];
                                            flag = true; break;
                                        }
                                    }
                                    else {
                                        if ($.isNumeric(match[4])) {
                                            var2 = parseFloat(match[4]);
                                        }
                                        else {
                                            label = match[9];
                                            flag = true; break;
                                        }
                                    }

                                    switch (match[3]) {
                                        case "==":
                                            {
                                                if (var1 == var2)
                                                    label = match[8];
                                                else
                                                    label = match[9];
                                                flag = true; break;
                                            }
                                        case "!=":
                                            {
                                                if (var1 != var2)
                                                    label = match[8];
                                                else
                                                    label = match[9];
                                                flag = true; break;
                                            }
                                        case ">=":
                                            {
                                                if (var1 >= var2)
                                                    label = match[8];
                                                else
                                                    label = match[9];
                                                flag = true; break;
                                            }
                                        case "<=":
                                            {
                                                if (var1 <= var2)
                                                    label = match[8];
                                                else
                                                    label = match[9];
                                                flag = true; break;
                                            }
                                        case "<":
                                            {
                                                if (var1 < var2)
                                                    label = match[8];
                                                else
                                                    label = match[9];
                                                flag = true; break;
                                            }
                                        case ">":
                                            {
                                                if (var1 > var2)
                                                    label = match[8];
                                                else
                                                    label = match[9];
                                                flag = true; break;
                                            }
                                    }
                                }
                                flag = true; break;
                            }
                        case 4://GOTO
                            {
                                if (label == "") {
                                    var _vtmp = match[2].trim();
                                    if ($.isNumeric(_vtmp)) {
                                        label = _vtmp + "L";
                                    }
                                    else
                                        if (_vtmp[_vtmp.length - 1] == "L") {
                                            label = _vtmp;
                                        }
                                        else {
                                            var _searchedIndex = $.inArray(_vtmp, page._programmableTask.symboltable.name);
                                            if (_searchedIndex >= 0 && $.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                                label = page._programmableTask.symboltable.value[_searchedIndex] + "L";
                                            }
                                        }
                                }
                                flag = true; break;
                            }
                        case 5://CASE
                            {
                                if (label == "") {
                                    var _searchedIndex = $.inArray(match[2], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0 && $.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                        var _strtmp = line.replace(match[1], "").replace(match[2], "").trim().split(' ').join('').split("L");
                                        var _chval = Math.abs(parseInt(page._programmableTask.symboltable.value[_searchedIndex]));
                                        for (var i = 0; i < _strtmp.length - 1; i++) {
                                            var _val = _strtmp[i].split(":");
                                            if ($.isNumeric(_val[0]) && Math.abs(parseInt(_val[0])) == _chval) {
                                                label = _val[1] + 'L';
                                                break;
                                            }
                                        }
                                    }
                                }
                                flag = true; break;
                            }
                        case 6:
                            {
                                if (match[1] == label) {
                                    label = "";
                                    fl = 0;
                                }
                                flag = true; break;
                            }
                        case 7:
                            {
                                if (label == "") {
                                    var _arrname = match[3].split(' ');
                                    var _arrval = [];
                                    var _searchedIndex = 0;
                                    for (var w = 0; w < _arrname.length; w++) {
                                        _searchedIndex = $.inArray(_arrname[w], page._programmableTask.symboltable.name);
                                        if (_searchedIndex >= 0) {
                                            if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                                _arrval.push(parseFloat(page._programmableTask.symboltable.value[_searchedIndex]));
                                            }
                                        }
                                        else {
                                            if ($.isNumeric(_arrname[w])) {
                                                _arrval.push(parseFloat(_arrname[w]));
                                            }
                                        }
                                    }

                                    _searchedIndex = $.inArray(match[1], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        page._programmableTask.symboltable.value[_searchedIndex] = Math.min.apply(Math, _arrval);
                                    }
                                    else {
                                        page._programmableTask.symboltable.name.push(match[1]);
                                        page._programmableTask.symboltable.value.push(Math.min.apply(Math, _arrval));
                                    }
                                }
                                flag = true; break;
                            }
                        case 8:
                            {
                                if (label == "") {
                                    var _arrname = match[3].split(' ');
                                    var _arrval = [];
                                    var _searchedIndex = 0;
                                    for (var w = 0; w < _arrname.length; w++) {
                                        _searchedIndex = $.inArray(_arrname[w], page._programmableTask.symboltable.name);
                                        if (_searchedIndex >= 0) {
                                            if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                                _arrval.push(parseFloat(page._programmableTask.symboltable.value[_searchedIndex]));
                                            }
                                        }
                                        else {
                                            if ($.isNumeric(_arrname[w])) {
                                                _arrval.push(parseFloat(_arrname[w]));
                                            }
                                        }
                                    }

                                    _searchedIndex = $.inArray(match[1], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        page._programmableTask.symboltable.value[_searchedIndex] = Math.max.apply(Math, _arrval);
                                    }
                                    else {
                                        page._programmableTask.symboltable.name.push(match[1]);
                                        page._programmableTask.symboltable.value.push(Math.max.apply(Math, _arrval));
                                    }
                                }
                                flag = true; break;
                            }
                        case 9:
                            {
                                if (label == "") {
                                    var tmp = 0;
                                    var _searchedIndex = $.inArray(match[3], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                            tmp = parseFloat(page._programmableTask.symboltable.value[_searchedIndex]);
                                        }
                                    }
                                    else {
                                        if ($.isNumeric(match[3])) {
                                            tmp = parseFloat(match[3]);
                                        }
                                    }

                                    _searchedIndex = $.inArray(match[1], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        page._programmableTask.symboltable.value[_searchedIndex] = Math.abs(tmp);
                                    }
                                    else {
                                        page._programmableTask.symboltable.name.push(match[1]);
                                        page._programmableTask.symboltable.value.push(Math.abs(tmp));
                                    }
                                }
                                flag = true; break;
                            }
                        case 10:
                            {
                                if (label == "") {
                                    var tmp = 0;
                                    var _searchedIndex = $.inArray(match[3], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                            tmp = parseFloat(page._programmableTask.symboltable.value[_searchedIndex]);
                                        }
                                    }
                                    else {
                                        if ($.isNumeric(match[3])) {
                                            tmp = parseFloat(match[3]);
                                        }
                                    }

                                    _searchedIndex = $.inArray(match[1], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        page._programmableTask.symboltable.value[_searchedIndex] = Math.cos(tmp);
                                    }
                                    else {
                                        page._programmableTask.symboltable.name.push(match[1]);
                                        page._programmableTask.symboltable.value.push(Math.cos(tmp));
                                    }
                                }
                                flag = true; break;
                            }
                        case 11:
                            {
                                if (label == "") {
                                    var tmp = 0;
                                    var _searchedIndex = $.inArray(match[3], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                            tmp = parseFloat(page._programmableTask.symboltable.value[_searchedIndex]);
                                        }
                                    }
                                    else {
                                        if ($.isNumeric(match[3])) {
                                            tmp = parseFloat(match[3]);
                                        }
                                    }

                                    _searchedIndex = $.inArray(match[1], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        page._programmableTask.symboltable.value[_searchedIndex] = Math.sin(tmp);
                                    }
                                    else {
                                        page._programmableTask.symboltable.name.push(match[1]);
                                        page._programmableTask.symboltable.value.push(Math.sin(tmp));
                                    }
                                }
                                flag = true; break;
                            }
                        case 12:
                            {
                                if (label == "") {
                                    var tmp = 0;
                                    var _searchedIndex = $.inArray(match[3], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                            tmp = parseFloat(page._programmableTask.symboltable.value[_searchedIndex]);
                                        }
                                    }
                                    else {
                                        if ($.isNumeric(match[3])) {
                                            tmp = parseFloat(match[3]);
                                        }
                                    }

                                    _searchedIndex = $.inArray(match[1], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        page._programmableTask.symboltable.value[_searchedIndex] = Math.tan(tmp);
                                    }
                                    else {
                                        page._programmableTask.symboltable.name.push(match[1]);
                                        page._programmableTask.symboltable.value.push(Math.tan(tmp));
                                    }
                                }
                                flag = true; break;
                            }
                        case 13:
                            {
                                if (label == "") {
                                    var tmp = 0;
                                    var _searchedIndex = $.inArray(match[3], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                            tmp = parseFloat(page._programmableTask.symboltable.value[_searchedIndex]);
                                        }
                                    }
                                    else {
                                        if ($.isNumeric(match[3])) {
                                            tmp = parseFloat(match[3]);
                                        }
                                    }

                                    _searchedIndex = $.inArray(match[1], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        page._programmableTask.symboltable.value[_searchedIndex] = Math.sqrt(tmp);
                                    }
                                    else {
                                        page._programmableTask.symboltable.name.push(match[1]);
                                        page._programmableTask.symboltable.value.push(Math.sqrt(tmp));
                                    }
                                }
                                flag = true; break;
                            }
                        case 14:
                            {
                                if (label == "") {
                                    var tmp = 0;
                                    var _searchedIndex = $.inArray(match[3], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                            tmp = parseFloat(page._programmableTask.symboltable.value[_searchedIndex]);
                                        }
                                    }
                                    else {
                                        if ($.isNumeric(match[3])) {
                                            tmp = parseFloat(match[3]);
                                        }
                                    }

                                    _searchedIndex = $.inArray(match[1], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        page._programmableTask.symboltable.value[_searchedIndex] = $.truncate(tmp);
                                    }
                                    else {
                                        page._programmableTask.symboltable.name.push(match[1]);
                                        page._programmableTask.symboltable.value.push($.truncate(tmp));
                                    }
                                }
                                flag = true; break;
                            }
                        case 15:
                            {
                                if (label == "") {
                                    var tmp = 0;
                                    var _searchedIndex = $.inArray(match[3], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                            tmp = parseFloat(page._programmableTask.symboltable.value[_searchedIndex]);
                                        }
                                    }
                                    else {
                                        if ($.isNumeric(match[3])) {
                                            tmp = parseFloat(match[3]);
                                        }
                                    }

                                    _searchedIndex = $.inArray(match[1], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        page._programmableTask.symboltable.value[_searchedIndex] = Math.round(tmp);
                                    }
                                    else {
                                        page._programmableTask.symboltable.name.push(match[1]);
                                        page._programmableTask.symboltable.value.push(Math.round(tmp));
                                    }
                                }
                                flag = true; break;
                            }
                        case 16:
                            {
                                if (label == "") {
                                    var tmp = 0;
                                    var _searchedIndex = $.inArray(match[3], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                            tmp = parseFloat(page._programmableTask.symboltable.value[_searchedIndex]);
                                        }
                                    }
                                    else {
                                        if ($.isNumeric(match[3])) {
                                            tmp = parseFloat(match[3]);
                                        }
                                    }

                                    let _reg = /\(([^)]+)\)/;
                                    let _matches = _reg.exec(match[2]);

                                    _searchedIndex = $.inArray(match[1], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        page._programmableTask.symboltable.value[_searchedIndex] = Math.round10(tmp, -Math.abs(parseInt(_matches[1])));
                                    }
                                    else {
                                        page._programmableTask.symboltable.name.push(match[1]);
                                        page._programmableTask.symboltable.value.push(Math.round10(tmp, -Math.abs(parseInt(_matches[1]))));
                                    }
                                }
                                flag = true; break;
                            }
                        case 17:
                            {
                                flag = true; break;
                            }
                        case 18:
                            {
                                if (label == "") {
                                    var _searchedIndex = $.inArray(match[1], page._programmableTask.symboltable.name);
                                    if (_searchedIndex >= 0) {
                                        page._programmableTask.symboltable.value[_searchedIndex] = match[3];
                                    }
                                    else {
                                        page._programmableTask.symboltable.name.push(match[1]);
                                        page._programmableTask.symboltable.value.push(match[3]);
                                    }
                                }
                                flag = true; break;
                            }
                        case 19:
                            {
                                if (label == "") {
                                    if ($.isNumeric(line.split('=')[1])) {
                                        var tmp = 0;
                                        var _searchedIndex1 = $.inArray(match[2], page._programmableTask.symboltable.name);
                                        var _searchedIndex2 = $.inArray(match[1], page._programmableTask.symboltable.name);
                                        if (_searchedIndex1 >= 0) {
                                            if (_searchedIndex2 >= 0) {
                                                page._programmableTask.symboltable.value[_searchedIndex2] = page._programmableTask.symboltable.value[_searchedIndex1];
                                            }
                                            else {
                                                page._programmableTask.symboltable.name.push(match[1]);
                                                page._programmableTask.symboltable.value.push(page._programmableTask.symboltable.value[_searchedIndex1]);
                                            }
                                        }
                                        else {
                                            if ($.isNumeric(match[2])) {
                                                if (_searchedIndex2 >= 0) {
                                                    page._programmableTask.symboltable.value[_searchedIndex2] = match[2];
                                                }
                                                else {
                                                    page._programmableTask.symboltable.name.push(match[1]);
                                                    page._programmableTask.symboltable.value.push(match[2]);
                                                }
                                            }
                                            else {
                                                page._programmableTask.symboltable.name.push(match[2]);
                                                page._programmableTask.symboltable.value.push(0);

                                                if (_searchedIndex2 >= 0) {
                                                    page._programmableTask.symboltable.value[_searchedIndex2] = 0;
                                                }
                                                else {
                                                    page._programmableTask.symboltable.name.push(match[1]);
                                                    page._programmableTask.symboltable.value.push(0);
                                                }
                                            }
                                        }
                                    }
                                    else {
                                        var r = new RegExp("([A-Z]+[0-9]+)\\s*", "g");
                                        var str = line.split("=")[1];
                                        var mth = str.match(r);
                                        var _searchedIndex = 0;
                                        if (mth != null) {
                                            for (var t = 0; t < mth.length; t++) {
                                                _searchedIndex = $.inArray(mth[t], page._programmableTask.symboltable.name);
                                                if (_searchedIndex >= 0) {

                                                    if ($.isNumeric(page._programmableTask.symboltable.value[_searchedIndex])) {
                                                        str = str.replace(mth[t], page._programmableTask.symboltable.value[_searchedIndex]);
                                                    }
                                                    else {
                                                        str = str.replace(mth[t], 0);
                                                    }
                                                }
                                                else {
                                                    str = str.replace(mth[t], 0);
                                                }
                                            }
                                        }

                                        var rez = $.rpn_calc(str);
                                        _searchedIndex = $.inArray(line.split("=")[0], page._programmableTask.symboltable.name);
                                        if (_searchedIndex >= 0) {
                                            page._programmableTask.symboltable.value[_searchedIndex] = rez;
                                        }
                                        else {
                                            page._programmableTask.symboltable.name.push(line.split("=")[0]);
                                            page._programmableTask.symboltable.value.push(rez);
                                        }
                                    }
                                }
                                flag = true; break;
                            }
                    }
                    if (flag == true) break;
                }
            }
            if (kflag == true) break;
        }
    }
    var _searchedIndex = $.inArray("FN0", page._programmableTask.symboltable.name);
    page.$curfine.text(page._programmableTask.symboltable.value[_searchedIndex]);
    $.bindinttable();
    we_helper.hideLoader();
};  

$.bindinttable = function () {
    var str = "<tr class='int-tr'>";
    var str2 = "<tr class='int-tr'>";
    for (var i = 0; i < page._programmableTask.symboltable.int.length; i++) {
        if (page._programmableTask.symboltable.int[i]) {
            if (page._programmableTask.symboltable.descript[i] != "" && page._programmableTask.symboltable.descript[i] != null) {
                str += "<td class='int-td'>" + page._programmableTask.symboltable.descript[i] + "</td>";
            }
            else {
                str += "<td class='int-td'>" + page._programmableTask.symboltable.name[i] + "</td>";
            }
            str2 += "<td class='int-td'>" + page._programmableTask.symboltable.value[i] + "</td>";
        }
    }
    str += "</tr>";
    str2 += "</tr>";
    page.$interactivetable.html(str + str2);
};

