﻿$(function () {
    page.init();
    $(document).on('click', '#general-tab, #license-tab, #rsp-tab, #cszup-tab, #storage-tab, #email-tab, #question-tab, #directoryservice-tab', function () {
        page._data = {};
        page._table_selected_rows = [];
        page.loadStg($(this).attr("id").split("-")[0]);
    });

    $(document).on('click', '#deb-tab', function () {
        page._data = {};
        page._table_selected_rows = [];
        page.onReloadDebJqGrid(page._deb_search_panel.api().get_data(), 1);
    });

    $(document).on('click', '#webexp-tab', function () {
        page._data = {};
        page._table_selected_rows = [];
        page.onReloadWebExpJqGrid(page._webexp_search_panel.api().get_data(), 1);
    });

    $(document).on('click', '.js_email_test', function () {
        page.$email_test_modal.modal('show');
    });

    $(document).on('click', '.js-rsp-test-connection', function () {
        //we_helper.alert("В разработке...", notificatioType.warning);
        page.onRspTesting();
    });

    $(document).on('click', '.js-cszup-test-connection', function () {
        page.onZupTesting();
    }); 
     
    $(document).on('click', '.js_email_test_ok', function (e) {
        if (we_helper.checkValidation(page.$email_test_modal) === true) {
            page.emailTesting();
        }
        e.preventDefault();
    });

    $(document).on('click', '.js_change_stg', function (e) {
        let id = $("a.active", $("#pills-tab")).attr("id").split("-")[0];
        if (we_helper.checkValidation($("#" + id)) === true) {
            page.updateStg(id);
        }
        e.preventDefault();
    }); 
     
    $("#btn_we_gen_secret_key").on('click', function (e) { 
        let key = we_helper.newGuid().toUpperCase();
        $(".js-we-secretKey").val(key);
    });
});

var page = {
    _edition: $("#assembly-config-edition").attr("value"),
    _id: we_helper.getPageId(),
    _cur_user_filial: we_helper.getCurUserFilial(),
    _data: {},
    _table_selected_rows: [],
    _deb_search_panel: null,
    $deb_table: $(".js_deb_table"),
    $deb_editing_modal: $("#deb_editing_modal"),
    _webexp_search_panel: null,
    $webexp_table: $(".js_webexp_table"),
    $we_editing_modal: $("#we_editing_modal"),
    $email_test_modal: $('#email_test_modal'),
    $dlgReportSettings: $(".js_modal_report_settings"),
    init: function () {
        we_helper.setBreadcrumb([{ page: "Администрирование", path: "#" }, { page: "Системные настройки" }]);
        if (this._edition === "SO UPS") {
            $(".so-ups").removeClass("so-ups");
        }
        we_helper.initTimePicker($(".js-time-picker"));
        let $startLoadingDay = $(".select2.js-rsp-startdays, .select2.js-cszup-startdays, .js-deb-startdays, .js-directoryservice-startdays");
        we_helper.initSelect('/Admin/GetEnums?name=days', $startLoadingDay, null, false, false, function () {
            $startLoadingDay.find('option:eq(0)').remove();
        });
        we_helper.initSelect('/Admin/GetRecordsKeyText', $('.select2.js-deb-filial'), { pageid: "filial" }, true, true);

        page.$dlgReportSettings.on('hidden.bs.modal', function (e) {
            we_helper.clearModal(page.$dlgReportSettings);
        });
        $('.btn-success', page.$dlgReportSettings).on('click', function (e) {
            let data = {
                format: $('input[name="fileformattype"]:checked').attr("id")
            };
            let tabid = $("a.active", $("#pills-tab")).attr("id");
            if (tabid == "deb-tab") {
                let gridParam = page.$deb_table.jqGrid('getGridParam', 'postData');
                data["sidx"] = gridParam.sidx;
                data["sord"] = gridParam.sord;
                data = $.extend(data, page._deb_search_panel.api().get_data());
                data["pageid"] = "debconfig";
            } else if (tabid == "webexp-tab") {
                let gridParam = page.$webexp_table.jqGrid('getGridParam', 'postData');
                data["sidx"] = gridParam.sidx;
                data["sord"] = gridParam.sord;
                data = $.extend(data, page._webexp_search_panel.api().get_data());
                data["pageid"] = "webexpconfig";
            }
            we_helper.getDataDB("/Admin/SaveReport", data, "body", false, function (entity) {
                window.open('../temp/' + entity, "_blank");
                we_helper.hideLoader();
            });
        });

        page.$deb_editing_modal.on('hidden.bs.modal', function (e) {
            we_helper.clearModal(page.$deb_editing_modal, page._data);
        });
        $('.btn-success', page.$deb_editing_modal).on('click', function (e) {
            if (we_helper.checkValidation(page.$deb_editing_modal) === true) {
                page.onUpdateDebRecord();
            }
            e.preventDefault();
        });
        page.$deb_table.on('click', 'a.js_edit_table_record', function () {
            page.onShowDebModal($(this).attr("attr-id"));
        });
        page.$deb_table.on('click', 'a.js_del_table_record', function () {
            let id = $(this).attr("attr-id");
            page.deleteRecords([id], "debconfig", function () {
                let index = $.inArray(id, page._table_selected_rows);
                if (index !== -1) {
                    page._table_selected_rows.splice(index, 1);
                }
                page.onReloadDebJqGrid();
            });
        });
        page.$deb_table.on('click', 'a.js_deb_test_table_record', function () {
            let id = $(this).attr("attr-id");
            we_helper.alert("В разработке...", notificatioType.warning);
        });
        page.$deb_table.on('click', '.js-select-deb-row', function () {
            we_helper.multipleSelection($(this), page._table_selected_rows);
            $('.js-select-all-deb-rows').prop('checked',
                we_helper.isAllSelected($('.js-select-deb-row', page.$deb_table)));
        });
        page.$deb_table.parent().on('click', '.js-select-all-deb-rows', function () {
            we_helper.selectAllRows($('.js-select-deb-row', page.$deb_table), $(this).is(":checked"), page._table_selected_rows);
        });
        page._deb_search_panel = $('.js_deb_search_panel').searchPanel({
            uid: "admin_deb_" + page._id,
            autocomplete: {
                enable: true,
                url: "/Admin/GetAutocompleteRecords",
                data: {
                    pageid: "debconfig"
                }
            },
            actionBtn: [{
                id: "add",
                icon: "mdi mdi-plus",
                style: "success",
                text: "Создать"
            }, {
                id: "delete",
                icon: "mdi mdi-delete",
                style: "danger",
                text: "Удалить"
            },
            {
                id: "export",
                icon: "mdi mdi-database-export",
                style: "info",
                text: "Отчёт"
            }],
            searchParam: {
                params: [
                    { text: 'Строка подключения', placeholder: 'Введите часть строки подключения' },
                    { text: 'Имя пользователя', placeholder: 'Введите часть имени пользователя' },
                    { text: 'Структурная единица', placeholder: 'Введите часть наименования структурной единицы' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ],
                default: {
                    param: 0,
                    data: ""
                }
            },
            defBtn: true,
            onSearch: function (data) {
                page.onReloadDebJqGrid(data, 1);
            },
            onClear: function (data) {
                page.onReloadDebJqGrid(data, 1);
            },
            onAction: function (keyBtn, search_data) {
                switch (keyBtn) {
                    case "add": {
                        page.onShowDebModal();
                        break;
                    }
                    case "delete": {
                        if (page._table_selected_rows.length === 0) {
                            we_helper.alert("Не выбрано ни одной записи!", notificatioType.warning);
                            return;
                        }
                        page.deleteRecords(page._table_selected_rows, "debconfig", function () {
                            page._table_selected_rows = [];
                            page.onReloadDebJqGrid();
                        });
                        break;
                    }
                    case "export": {
                        page.$dlgReportSettings.modal('show');
                        break;
                    }
                    default: {
                        break;
                    }
                }
            }
        });
        we_helper.initJqGrid(page.$deb_table, {
            uid: "admin_deb_" + page._id,
            url: "/Admin/GetRecords",
            datatype: "local",
            colNames: [
                '', '<input type="checkbox" class="js-select-all-deb-rows" title = "Выбрать все строки" />', 'Структурная единица', 'Строка подключения', 'Имя пользователя',
                'Время запуска', 'День запуска', 'Параметры загрузки', 'Дата изменения', 'Изменил', 'Тест', 'Ред.', 'Уд.'
            ],
            colModel: [
                { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                {
                    name: "selected", width: 15, align: "center", sortable: false, title: false,
                    formatter: function (cellvalue, options, rowObject) {
                        var res = "<input class='js-select-deb-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                        if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                            res += ' checked="checked"';
                        }
                        return res + '/>';
                    }
                },
                { name: "filialName", sortable: true, align: 'left', width: 70, index: 'filialName' },
                { name: "endpoint", sortable: false, align: 'left', width: 160, index: 'endpoint' },
                { name: "userName", sortable: true, align: 'left', width: 60, index: 'userName' },
                { name: "synchroTime", sortable: true, align: 'center', width: 30, index: 'synchroTime' },
                { name: "startLoadingDayNames", sortable: false, align: 'left', width: 120, index: 'startLoadingDayNames' },
                { name: "parameters", sortable: false, align: 'left', width: 80, index: 'parameters' },
                {
                    name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                    formatter: "date",
                    formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                },
                { name: "userHasChanged", sortable: true, align: 'left', width: 70, index: 'userHasChanged' },
                {
                    name: "btnDebTest", classes: 'overflow-none', width: 15, align: "center", sortable: false,
                    formatter: function (cellvalue, options, rowObject) {
                        return "<a class='mdi mdi-connection text-primary js_deb_test_table_record' href='#' attr-id='" + rowObject.id + "' title='Тестировать'></a>";
                    }
                },
                {
                    name: "btnEdit", classes: 'overflow-none', width: 15, align: "center", sortable: false,
                    formatter: function (cellvalue, options, rowObject) {
                        return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                    }
                },
                {
                    name: "btnDelete", classes: 'overflow-none', width: 15, align: "center", sortable: false,
                    formatter: function (cellvalue, options, rowObject) {
                        return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                    }
                },
            ],
            sortname: 'filialName',
            sortorder: 'asc',
            corr_height: -75,
            beforeSelectRow: function (rowid, e) { return false; }
        }, page._deb_search_panel.api().get_data(), function () {
            $('.js-select-all-deb-rows').prop('checked',
                we_helper.isAllSelected($('.js-select-deb-row', page.$deb_table)));
        });

        page.$we_editing_modal.on('hidden.bs.modal', function (e) {
            we_helper.clearModal(page.$we_editing_modal, page._data);
        });
        $('.btn-success', page.$we_editing_modal).on('click', function (e) {
            if (we_helper.checkValidation(page.$we_editing_modal) === true) {
                page.onUpdateWebExpRecord();
            }
            e.preventDefault();
        });
        page.$webexp_table.on('click', 'a.js_edit_table_record', function () {
            page.onShowWebExpModal($(this).attr("attr-id"));
        });
        page.$webexp_table.on('click', 'a.js_del_table_record', function () {
            let id = $(this).attr("attr-id");
            page.deleteRecords([id], "webexpconfig", function () {
                let index = $.inArray(id, page._table_selected_rows);
                if (index !== -1) {
                    page._table_selected_rows.splice(index, 1);
                }
                page.onReloadWebExpJqGrid();
            });
        });
        page.$webexp_table.on('click', '.js-select-webexp-row', function () {
            we_helper.multipleSelection($(this), page._table_selected_rows);
            $('.js-select-all-webexp-rows').prop('checked',
                we_helper.isAllSelected($('.js-select-webexp-row', page.$webexp_table)));
        });
        page.$webexp_table.parent().on('click', '.js-select-all-webexp-rows', function () {
            we_helper.selectAllRows($('.js-select-webexp-row', page.$webexp_table), $(this).is(":checked"), page._table_selected_rows);
        });
        page._webexp_search_panel = $('.js_webexp_search_panel').searchPanel({
            uid: "admin_webexp_" + page._id,
            autocomplete: {
                enable: true,
                url: "/Admin/GetAutocompleteRecords",
                data: {
                    pageid: "webexpconfig"
                }
            },
            actionBtn: [{
                id: "add",
                icon: "mdi mdi-plus",
                style: "success",
                text: "Создать"
            }, {
                id: "delete",
                icon: "mdi mdi-delete",
                style: "danger",
                text: "Удалить"
            },
            {
                id: "export",
                icon: "mdi mdi-database-export",
                style: "info",
                text: "Отчёт"
            }],
            searchParam: {
                params: [
                    { text: 'Внешняя система', placeholder: 'Введите часть наименования внешней системы' },
                    { text: 'Ключ безопасности', placeholder: 'Введите часть ключа' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ],
                default: {
                    param: 0,
                    data: ""
                }
            },
            defBtn: true,
            onSearch: function (data) {
                page.onReloadWebExpJqGrid(data, 1);
            },
            onClear: function (data) {
                page.onReloadWebExpJqGrid(data, 1);
            },
            onAction: function (keyBtn, search_data) {
                switch (keyBtn) {
                    case "add": {
                        page.onShowWebExpModal();
                        break;
                    }
                    case "delete": {
                        if (page._table_selected_rows.length === 0) {
                            we_helper.alert("Не выбрано ни одной записи!", notificatioType.warning);
                            return;
                        }
                        page.deleteRecords(page._table_selected_rows, "webexpconfig", function () {
                            page._table_selected_rows = [];
                            page.onReloadWebExpJqGrid();
                        });
                        break;
                    }
                    case "export": {
                        page.$dlgReportSettings.modal('show');
                        break;
                    }
                    default: {
                        break;
                    }
                }
            }
        });
        we_helper.initJqGrid(page.$webexp_table, {
            uid: "admin_webexp_" + page._id,
            url: "/Admin/GetRecords",
            datatype: "local",
            colNames: [
                '', '<input type="checkbox" class="js-select-all-webexp-rows" title = "Выбрать все строки" />', 'Внешняя система',
                'Ключ безопасности', 'Дата изменения', 'Изменил', 'Ред.', 'Уд.'
            ],
            colModel: [
                { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                {
                    name: "selected", width: 15, align: "center", sortable: false, title: false,
                    formatter: function (cellvalue, options, rowObject) {
                        var res = "<input class='js-select-webexp-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                        if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                            res += ' checked="checked"';
                        }
                        return res + '/>';
                    }
                },
                { name: "name", sortable: true, align: 'left', width: 150, index: 'name' },
                { name: "secretKey", sortable: true, align: 'left', width: 100, index: 'secretKey' },
                {
                    name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                    formatter: "date",
                    formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                },
                { name: "userHasChanged", sortable: true, align: 'left', width: 70, index: 'userHasChanged' },
                {
                    name: "btnEdit", classes: 'overflow-none', width: 15, align: "center", sortable: false,
                    formatter: function (cellvalue, options, rowObject) {
                        return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                    }
                },
                {
                    name: "btnDelete", classes: 'overflow-none', width: 15, align: "center", sortable: false,
                    formatter: function (cellvalue, options, rowObject) {
                        return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                    }
                },
            ],
            sortname: 'name',
            sortorder: 'asc',
            corr_height: -75,
            beforeSelectRow: function (rowid, e) { return false; }
        }, page._webexp_search_panel.api().get_data(), function () {
            $('.js-select-all-webexp-rows').prop('checked',
                we_helper.isAllSelected($('.js-select-webexp-row', page.$webexp_table)));
        });

        page.loadStg("general");
    },
    loadStg: function (id) {
        we_helper.getDataDB("/Admin/GetSettings", { actid: id }, "query", false, function (entity) {
            page._data = entity;
            if (id === "license" && !!entity) {
                if (entity.dongle == 0) {
                    entity.dongle = "-";
                }
                if (!entity.licenseKey) {
                    let expires = "Демонстрационная";
                    if (!!entity.expires) {
                        expires += " (истекает " + we_helper.convertDate(entity.expires) + ")";
                    }
                    entity.expires = expires;
                } else if (!!entity.expires) {
                    entity.expires = "Временная (истекает " + we_helper.convertDate(entity.expires) + ")";
                } else {
                    entity.expires = "Постоянная";
                }
            }
            we_helper.setFormData($("#" + id), page._data);
            we_helper.hideLoader();
        });
    },
    emailTesting: function () {
        let o_mail_data = we_helper.getFormData(page.$email_test_modal);
        we_helper.getDataDB('/Admin/MailTesting', o_mail_data, "query", false, function () {
            we_helper.alert("Тестовое письмо отправлено успешно. Проверьте почтовый ящик " + o_mail_data.emailTo, notificatioType.success);
            we_helper.hideLoader();
            page.$email_test_modal.modal('hide');
        });
    },
    updateStg: function (id) {
        let methodName = "";
        switch (id) {
            case "general": {
                methodName = "UpdateGeneralSettings";
                break;
            }
            case "rsp": {
                methodName = "UpdateRspConfig";
                break;
            }
            case "cszup": {
                methodName = "UpdateCsZupConfig";
                break;
            }
            case "storage": {
                methodName = "UpdateStorageSettings";
                break;
            }
            case "email": {
                methodName = "UpdateSmtpConfig";
                break;
            }
            case "question": {
                methodName = "UpdateQuestionOnUpdatingAlertSettings";
                break;
            }
            case "directoryservice": {
                methodName = "UpdateDirectoryServiceSettings";
                break;
            }
            default:
        }
        page._data = $.extend(page._data, we_helper.getFormData($("#" + id)));
        we_helper.updateDataDB('/Admin/' + methodName, page._data, function () {
            let marquee = $(".announcement");
            if (marquee.length !== 0) {
                marquee.attr("scrollamount", page._data.announcementSpeed)
                    .css({ 'font-size': page._data.announcementFont })
                    .html(page._data.announcement);
            }
            we_helper.hideLoader();
        });
    },
    deleteRecords: function (ids, pageid, callback) {
        we_helper.deleteDataDB("/Admin/DeleteRecords", {
            pageid: pageid,
            ids: ids
        }, function () {
            if (callback) {
                callback();
            }
        });
    },
    onReloadDebJqGrid: function (dt, pg) {
        if (!!dt) {
            dt = $.extend(dt, { pageid: "debconfig" });
        }
        we_helper.reloadJqGrid(page.$deb_table, dt, pg);
    },
    onShowDebModal: function (id) {
        if (!!id) {
            we_helper.getDataDB("/Admin/GetRecord?pageid=debconfig", { id: id }, "query", false, function (entity) {
                page._data = entity;
                we_helper.setFormData(page.$deb_editing_modal, page._data);
                $('.modal-title', page.$deb_editing_modal).text('Редактирование конфигурации ИУС «ДЭБ»');
                page.$deb_editing_modal.modal('show');
                we_helper.hideLoader();
            });
        } else {
            we_helper.setFormData(page.$deb_editing_modal, {
                filialId: page._cur_user_filial.id,
                filialName: page._cur_user_filial.text
            });
            $('.modal-title', page.$deb_editing_modal).text('Создание новой конфигурации ИУС «ДЭБ»');
            page.$deb_editing_modal.modal('show');
            we_helper.hideLoader();
        }
    },
    onUpdateDebRecord: function () {
        page._data = $.extend(page._data, we_helper.getFormData(page.$deb_editing_modal));
        let actionUrl = !!page._data.id ? "/Admin/UpdateDebConfig" : "/Admin/CreateDebConfig";
        we_helper.updateDataDB(actionUrl, page._data, function () {
            page._table_selected_rows = [];
            page.onReloadDebJqGrid();
            page.$deb_editing_modal.modal('hide');
        });
    },
    onReloadWebExpJqGrid: function (dt, pg) {
        if (!!dt) {
            dt = $.extend(dt, { pageid: "webexpconfig" });
        }
        we_helper.reloadJqGrid(page.$webexp_table, dt, pg);
    },
    onShowWebExpModal: function (id) {
        if (!!id) {
            we_helper.getDataDB("/Admin/GetRecord?pageid=webexpconfig", { id: id }, "query", false, function (entity) {
                page._data = entity;
                we_helper.setFormData(page.$we_editing_modal, page._data);
                $('.modal-title', page.$we_editing_modal).text('Редактирование параметров доступа к API Системы');
                page.$we_editing_modal.modal('show');
                we_helper.hideLoader();
            });
        } else {
            $('.modal-title', page.$we_editing_modal).text('Создание нового параметра доступа к API Системы');
            page.$we_editing_modal.modal('show');
            we_helper.hideLoader();
        }
    },
    onUpdateWebExpRecord: function () {
        page._data = $.extend(page._data, we_helper.getFormData(page.$we_editing_modal));
        let actionUrl = !!page._data.id ? "/Admin/UpdateWebExpConfig" : "/Admin/CreateWebExpConfig";
        we_helper.updateDataDB(actionUrl, page._data, function () {
            page._table_selected_rows = [];
            page.onReloadWebExpJqGrid();
            page.$we_editing_modal.modal('hide');
        });
    },
    onZupTesting: function () { 
        bootbox.confirm({
            message: "Выполнить тестирование параметров подключения к API ЦС «ЗУП»?",
            swapButtonOrder: true,
            buttons: {
                cancel: {
                    label: "<span class='mdi mdi-close pr-lg-1'></span><span class='d-none d-lg-inline-block'> Отмена</span>",
                    className: 'btn-sm btn-danger'
                },
                confirm: {
                    label: "<span class='mdi mdi-check pr-lg-1'></span><span class='d-none d-lg-inline-block'> Да</span>",
                    className: 'btn-sm btn-success'
                }
            },
            callback: function (result) {
                if (result) {
                    we_helper.showLoader();
                    $.ajax({
                        url: "/Admin/TestZupApiSettings",
                        type: 'GET',
                        cache: false,
                        success: function (response) {
                            if (response.result == 1) {
                                we_helper.alert("Тестовое подключение к API ЦС «ЗУП» выполнено успешно", notificatioType.success);
                            } else {
                                we_helper.alert(response.message, notificatioType.danger);
                            }
                        },
                        error: function (err) {
                            we_helper.alert('Ошибка загрузки страницы: ' + err.statusText + '. Закройте все окна браузера и повторите попытку.', notificatioType.danger);
                        },
                        complete: () => {
                            we_helper.hideLoader();
                        }
                    });
                }
            }
        });
    },
    onRspTesting: function () {  
        bootbox.confirm({
            message: "Выполнить тестирование параметров подключения к API ИУС «РСП»?", 
            swapButtonOrder: true,
            buttons: {
                cancel: {
                    label: "<span class='mdi mdi-close pr-lg-1'></span><span class='d-none d-lg-inline-block'> Отмена</span>",
                    className: 'btn-sm btn-danger'
                },
                confirm: {
                    label: "<span class='mdi mdi-check pr-lg-1'></span><span class='d-none d-lg-inline-block'> Да</span>",
                    className: 'btn-sm btn-success'
                }
            },
            callback: function (result) {
                if (result) {
                    we_helper.showLoader();
                    $.ajax({
                        url: "/Admin/TestRspApiSettings",
                        type: 'GET',
                        cache: false,
                        success: function (response) {
                            if (response.result == 1) {
                                we_helper.alert("Тест настроек выполнен успешно", notificatioType.success);
                            } else {
                                we_helper.alert(response.message, notificatioType.danger);
                            }
                        },
                        error: function (err) {
                            we_helper.alert('Ошибка загрузки страницы: ' + err.statusText + '. Закройте все окна браузера и повторите попытку.', notificatioType.danger);
                        },
                        complete: () => {
                            we_helper.hideLoader();
                        }
                    });
                }
            }
        });
    }
};
