﻿(function ($) {
    $.fn.notify = function (msg, msg_type) {
        var jq_this = $(this);

        var options = {
            cssClass: msg_type,
            cssIcon: null,
            message: msg,
            timeout: 0
        };

        // Устанавливаю время видимости оповещения.
        if (options.cssClass == notificatioType.danger) {
            options.cssIcon = "mdi-exclamation";
			options.timeout = 60000;
        }
        else if (options.cssClass == notificatioType.warning) {
            options.cssIcon = "mdi-alert-outline";
            options.timeout = 10000;
        }
        else {
            options.cssIcon = "mdi-check";
            options.timeout = 5000;
        }

        if (options.message.length > 1024)
            options.message = options.message.substring(0, 1024) + "...";

        // Собираю шаблон. 
        let content = "<div class='alert " + options.cssClass + " alert-message d-flex rounded p-0' role='alert'>" +
            "<div class='alert-icon d-flex justify-content-center align-items-center flex-grow-0 flex-shrink-0 '>" +
                "<i class='mdi " + options.cssIcon + "'></i>" +
            "</div>" +
            "<div class='d-flex py-2 align-items-center alert-body'>" +
                options.message +
            "</div>" +
            "<a href='' class='close d-flex ml-auto justify-content-center align-items-center' data-dismiss='alert'>" +
                "<i class='mdi mdi-close'></i>" +
            "</a>" +
        "</div>";

        jq_this.append(content);

        window.setTimeout(function () {
            $('.alert').alert('close');
        }, options.timeout);
    };
})(jQuery);