﻿$(function () {
    page.init(); 
});

var page = {
    _id: we_helper.getPageId(),
    _cur_user_filial: we_helper.getCurUserFilial(),
    _sys_owner_filial: we_helper.getSystemOwnerFilial(),
    _data: {},
    _table_selected_rows: [],
    _search: null,
    _file_viewer: null,  
    _cruc: {
        url: [],
        title: [],
        $modal: $(".js_detail_modal"),
        $saveBtn: $('.js_modal_save_change', $(".js_detail_modal"))
    },
    $table: $(".js_table"), 
    $dlgImport: $(".js_modal_import"),
    $dlgReportSettings: $(".js_modal_report_settings"),
    init: function (_pageInfo) {
        let crumb = [{
            page: "Конструктор",
            path: "#"
        }];
      
        page._cruc.$modal.on('hidden.bs.modal', function (e) {
            $(".onlycopyproperty").addClass("d-none");
            $('label[name=fileName]', page.$modal).text('');
            we_helper.clearModal(page._cruc.$modal, page._data);
        });
 
        page.$dlgReportSettings.on('hidden.bs.modal', function (e) {
            we_helper.clearModal(page.$dlgReportSettings);
        });
        $('.btn-success', page.$dlgReportSettings).on('click', function (e) {
            let data = page._search.api().get_data();
            let gridParam = page.$table.jqGrid('getGridParam', 'postData');
            data["sidx"] = gridParam.sidx;
            data["sord"] = gridParam.sord;
            data["format"] = $('input[name="fileformattype"]:checked').attr("id");
            let tabid = $("a.active", page.$dlgReportSettings).attr("id");
            if (!!tabid) {
                tabid = tabid.substring(0, tabid.lastIndexOf("-"));
                data["tabid"] = tabid; 
                data = $.extend(data, we_helper.getFormData($("#" + tabid)));
            } 
            we_helper.getDataDB("/Designer/SaveReport", data, "body", false, function (entity) {
                window.open('../temp/' + entity, "_blank");
                we_helper.hideLoader();
            });  
        }); 
        page._cruc.$saveBtn.on('click', function (e) {
            if (we_helper.checkValidation(page._cruc.$modal) === true) {
                page.updateRecord();
            }
            e.preventDefault();
        });
        page.$table.on('click', 'a.js_edit_table_record', function () {
            page.showModal("edit", $(this).attr("attr-id"));
        });
        page.$table.on('click', 'a.js_copy_table_record', function () {
            page.showModal("copy", $(this).attr("attr-id"));
        });

        page.$table.on('click', 'a.js_download_file_table_record', function () {
            we_helper.getDataDB("/Designer/DownloadFile", { pageid: page._id, id: $(this).attr("attr-id") }, "query", false, function (entity) {
                window.open('../temp/' + entity, "_blank");
                we_helper.hideLoader();
            });
        });

        page.$table.on('click', 'a.js_del_table_record', function () {
            let id = $(this).attr("attr-id");
            if (page._id == "moduleunit") {
                page.excludeUnitsFromModule([id], function () {
                    let index = $.inArray(id, page._table_selected_rows);
                    if (index !== -1) {
                        page._table_selected_rows.splice(index, 1);
                    }
                    we_helper.reloadJqGrid(page.$table);
                });
            } else {
                page.deleteRecords([id], function () {
                    let index = $.inArray(id, page._table_selected_rows);
                    if (index !== -1) {
                        page._table_selected_rows.splice(index, 1);
                    }
                    we_helper.reloadJqGrid(page.$table);
                });
            }
        });
        page.$table.on('click', 'a.js_del_file_table_record', function () {
            let id = $(this).attr("attr-id");
            page.deleteFiles([id], function () {
                let index = $.inArray(id, page._table_selected_rows);
                if (index !== -1) {
                    page._table_selected_rows.splice(index, 1);
                }
                we_helper.reloadJqGrid(page.$table);
            });
        });
        page.$table.on('click', '.js-select-row', function () {
            we_helper.multipleSelection($(this), page._table_selected_rows);
            $('.js-select-all-row').prop('checked',
                we_helper.isAllSelected($('.js-select-row', page.$table)));
        });
        page.$table.parent().on('click', '.js-select-all-row', function () {
            we_helper.selectAllRows($('.js-select-row', page.$table), $(this).is(":checked"), page._table_selected_rows);
        });
        page.$table.on('click', 'a.js_add_table_record', function () {
            let id = $(this).attr("attr-id");
            if (page._id == "includeunit") {
                page.includeUnitsToModule([id], function () {
                    let index = $.inArray(id, page._table_selected_rows);
                    if (index !== -1) {
                        page._table_selected_rows.splice(index, 1);
                    }
                    we_helper.reloadJqGrid(page.$table);
                });
            } else if (page._id == "includemodule") {
                page.includeModulesToProgram([id], function () {
                    let index = $.inArray(id, page._table_selected_rows);
                    if (index !== -1) {
                        page._table_selected_rows.splice(index, 1);
                    }
                    we_helper.reloadJqGrid(page.$table);
                });
            } else if (page._id == "includecourse") {
                page.includeCoursesToModule([id], function () {
                    let index = $.inArray(id, page._table_selected_rows);
                    if (index !== -1) {
                        page._table_selected_rows.splice(index, 1);
                    }
                    we_helper.reloadJqGrid(page.$table);
                });
            } else if (page._id == "includequestion") {
                page.includeQuestionsToModule([id], function () {
                    let index = $.inArray(id, page._table_selected_rows);
                    if (index !== -1) {
                        page._table_selected_rows.splice(index, 1);
                    }
                    we_helper.reloadJqGrid(page.$table);
                });
            } else if (page._id == "includeinticket") {
                page.includeQuestionsToTicket([id], function () {
                    let index = $.inArray(id, page._table_selected_rows);
                    if (index !== -1) {
                        page._table_selected_rows.splice(index, 1);
                    }
                    we_helper.reloadJqGrid(page.$table);
                });
            }
        });
        page.$table.on('click', 'a.js_view_file_table_record, a.js_view_question_link', function () {
            page.cacheDocumentBeforeOpen($(this).attr("attr-id"), $(this).attr("link-id"));
        });
        page.$table.on('click', 'a.js_goto_page', function () {
            let rowid = "g1_" + $(this).attr("attr-id"); 
            let row = page.$table.jqGrid('getRowData', rowid);
            if (!!row) {
                let url = "",
                    cache_uid = "";
                let cache_data = {};
                switch (page._id) {
                    case "testingregulation": {
                        url = "/designer?pageid=program";
                        cache_uid = "search_designer_program";
                        cache_data = {
                            search_param: 3,
                            search_data: row.name,
                            filialname: row.filialName,
                            filialid: row.filialId,
                            removeAfterInit: !we_helper.existInCache(cache_uid)
                        };
                        break;
                    }
                    default: {
                        return;
                    }
                }
                we_helper.setCache(cache_uid, cache_data);
                window.open(url, "_self");
            }
        });     

        let _searchParam = {
            params: [],
            default: {
                param: 0,
                data: ""
            }
        };
        let _selectParam = [{
            id: "filial",
            title: "Область данных",
            url: "/Designer/GetRecordsKeyText",
            def_selected: page._cur_user_filial
        }]; 
        let _searchAutocomplete = {
            enable: true,
            url: "/Designer/GetAutocompleteRecords",
        };
        let _table_stg = {
            uid: "designer_" + page._id,
            url: "/Designer/GetRecords",
            colNames: [],
            colModel: [],
            sortname: 'num',
            sortorder: 'asc',
            beforeSelectRow: function (rowid, e) { return false; }
        };
        let _actionBtn = [
            {
                id: "add",
                icon: "mdi mdi-plus",
                style: "success",
                text: "Создать"
            },
            {
                id: "delete",
                icon: "mdi mdi-delete",
                style: "danger",
                text: "Удалить"
            },
            {
                id: "export",
                icon: "mdi mdi-database-export",
                style: "info",
                text: "Отчёт"
            }];
       
        switch (page._id) {
            case "sequence": {
                crumb.push({ page: "Задания типа «Последовательность»" });
                page._cruc.url = ["/Designer/CreateSequenceTask", "/Designer/UpdateSequenceTask", "/Designer/CopySequenceTask"];
                page._cruc.title = ["Создание нового задания", "Редактирование параметров задания", "Создание копии задания"]; 
                _searchParam.params = [
                    { text: 'Наименование задания или код', placeholder: 'Введите часть наименования или код задания' },
                    { text: 'Код', placeholder: 'Введите код задания' },
                    { text: 'Наименование задания', placeholder: 'Введите часть наименования задания' }, 
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                 
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Наименование задания',
                    'Структурная единица', 'Внутренняя', 'Дата изменения', 'Изменил', 'Мод.', 'Вар.', 'Вопр.', 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 35, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 180, index: 'name' },
                    { name: "filialName", sortable: true, align: 'left', width: 80, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступно только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    }, 
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },
                    {
                        name: "moduleCount", sortable: true, align: 'center', width: 20, index: 'moduleCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.moduleCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.moduleCount + "</span>";
                        }
                    },
                    {
                        name: "optionCount", sortable: true, align: 'center', width: 20, index: 'optionCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.optionCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<a href='designer?pageid=sequenceoption&sequenceid=" + rowObject.id + "' title='Варианты задания'><span class='badge " + color + " badge-cell'>" + rowObject.optionCount + "</span></a>";
                        }
                    },
                    {
                        name: "questCount", sortable: true, align: 'center', width: 20, index: 'questCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.questCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<a href='designer?pageid=sequencetestitem&sequenceid=" + rowObject.id + "' title='Вопросы задания'><span class='badge " + color + " badge-cell'>" + rowObject.questCount + "</span></a>";
                        }
                    },
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                break;
            }
            case "sequenceoption": {
                let sequenceid = we_helper.urlParam("sequenceid");
                crumb.push({ page: "Задания типа «Последовательность»", path: "/designer?pageid=sequence" }, { page: "Варианты задания" });

                $("input[name=sequenceTaskId]",  page._cruc.$modal).val(sequenceid);
                we_helper.getDataDB("/Designer/GetRecord", { pageid: "sequence",  id: sequenceid }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Номер и наименование задания:</strong> " + info.num + ". " + info.name).removeClass("d-none");
                    we_helper.hideLoader();
                });

                we_helper.initSelect('/Designer/GetRecordsKeyText', $('.select2.js-first-test-item',  page._cruc.$modal), {
                    pageid: "sequencetestitem",
                    sequenceid: sequenceid
                }, true, false);


                _selectParam = [];
                page._cruc.url = ["/Designer/CreateSequenceOption", "/Designer/UpdateSequenceOption", "/Designer/CopySequenceOption"];
                page._cruc.title = ["Создание нового варианта задания", "Редактирование параметров варианта задания", "Создание копии варианта задания"]; 
                _searchParam.params = [
                    { text: 'Номер варианта', placeholder: 'Введите номер варианта задания' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];

                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Вариант №', 'Доп. штраф', 'Макс. балл',
                    'Вопрос для первого шага', 'Дата изменения', 'Изменил', 'Граф', 'Файл', 'Уд. файл', 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.corr_height = -25;
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 30, index: 'num' },
                    { name: "allowablePenalty", sortable: true, align: 'center', width: 40, index: 'allowablePenalty' },
                    { name: "maximumScore", sortable: true, align: 'center', width: 40, index: 'maximumScore' },
                    { name: "firstTestItemName", sortable: false, align: 'left', width: 220, index: 'firstTestItemName' },
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },
                    {
                        name: "btnEditGraph", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-source-branch text-info js_goto_table_record' href='designer?pageid=sequencegraph&sequenceoptionid=" + rowObject.id + "&sequenceid=" + sequenceid + "&num=" + rowObject.num + "' title='Граф выполнения варианта'></a>";
                        }
                    },
                    {
                        name: "isHaveFile", sortable: true, align: 'center', width: 20, index: 'isHaveFile', formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.isHaveFile) {
                                return "<a class='mdi mdi-file-download-outline text-info js_download_file_table_record' attr-id='" + rowObject.id + "' target='_blank' title='Просмотреть файл'></a>";
                            }
                            return "";
                        }
                    },
                    {
                        name: "btnDeleteFile", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.isHaveFile) {
                                return "<a class='mdi mdi-file-remove text-danger js_del_file_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить файл'></a>";
                            }
                            return "";
                        }
                    },
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                break;
            }
            case "programmable": {
                crumb.push({ page: "Задания типа «Расчёт»" });
                page._cruc.url = ["/Designer/CreateProgrammableTask", "/Designer/UpdateProgrammableTask", "/Designer/CopyProgrammableTask"];
                page._cruc.title = ["Создание нового задания", "Редактирование параметров задания", "Создание копии задания"]; 
                _searchParam.params = [
                    { text: 'Наименование задания или код', placeholder: 'Введите часть наименования или код задания' },
                    { text: 'Код', placeholder: 'Введите код задания' },
                    { text: 'Наименование задания', placeholder: 'Введите часть наименования задания' }, 
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];

                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Наименование задания',
                    'Структурная единица', 'Внутренняя', 'Дата изменения', 'Изменил', 'Мод.', 'Вар.', 'Алг.', 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 35, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 180, index: 'name' },
                    { name: "filialName", sortable: true, align: 'left', width: 80, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступно только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    }, 
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },
                    {
                        name: "moduleCount", sortable: true, align: 'center', width: 20, index: 'moduleCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.moduleCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.moduleCount + "</span>";
                        }
                    },
                    {
                        name: "optionCount", sortable: true, align: 'center', width: 20, index: 'optionCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.optionCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<a href='designer?pageid=programmableoption&programmableid=" + rowObject.id + "' title='Варианты задания'><span class='badge " + color + " badge-cell'>" + rowObject.optionCount + "</span></a>";
                        }
                    },
                    {
                        name: "btnEditAlgorithm", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-application-brackets-outline text-info js_goto_table_record' href='designer?pageid=sourceeditor&programmableid=" + rowObject.id + "' title='Алгоритм расчёта'></a>";
                        }
                    },
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                break;
            }
            case "programmableoption": {
                let programmableid = we_helper.urlParam("programmableid");
                crumb.push({ page: "Задания типа «Расчёт»", path: "/designer?pageid=programmable" }, { page: "Варианты задания" });

                $("input[name=programmableTaskId]",  page._cruc.$modal).val(programmableid);
                we_helper.getDataDB("/Designer/GetRecord", { pageid: "programmable", id: programmableid  }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Номер и наименование задания:</strong> " + info.num + ". " + info.name).removeClass("d-none");
                    we_helper.hideLoader();
                });

                _selectParam = [];
                page._cruc.url = ["/Designer/CreateProgrammableOption", "/Designer/UpdateProgrammableOption", "/Designer/CopyProgrammableOption"];
                page._cruc.title = ["Создание нового варианта задания", "Редактирование параметров варианта задания", "Создание копии варианта задания"]; 
                _searchParam.params = [
                    { text: 'Номер варианта', placeholder: 'Введите номер варианта задания' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _table_stg.corr_height = -40;
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Вариант №', 'Допустимый штраф',
                    'Дата изменения', 'Изменил', 'Исх. дан.', 'Файл', 'Уд. файл', 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 40, index: 'num' },
                    { name: "allowablePenalty", sortable: true, align: 'center', width: 45, index: 'allowablePenalty' },
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },
                    {
                        name: "variableCount", sortable: true, align: 'center', width: 20, index: 'variableCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.variableCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<a href='designer?pageid=programmablevariable&programmableid=" + programmableid + "&programmableoptionid=" + rowObject.id + "&num=" + rowObject.num + "' title='Исходные данные варианта'><span class='badge " + color + " badge-cell'>" + rowObject.variableCount + "</span></a>";
                        }
                    },
                    {
                        name: "isHaveFile", sortable: true, align: 'center', width: 20, index: 'isHaveFile', formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.isHaveFile) {
                                return "<a class='mdi mdi-file-download-outline text-info js_download_file_table_record' attr-id='" + rowObject.id + "' target='_blank' title='Просмотреть файл'></a>";
                            }
                            return "";
                        }
                    },
                    {
                        name: "btnDeleteFile", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.isHaveFile) {
                                return "<a class='mdi mdi-file-remove text-danger js_del_file_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить файл'></a>";
                            }
                            return "";
                        }
                    },
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                break;
            }
            case "programmablevariable": {
                let programmableid = we_helper.urlParam("programmableid");
                let programmableoptionid = we_helper.urlParam("programmableoptionid");
                crumb.push({ page: "Задания типа «Расчёт»", path: "/designer?pageid=programmable" },
                    { page: "Варианты задания", path: "/designer?pageid=programmableoption&programmableid=" + programmableid },
                    { page: "Исходные данные варианта" });

                $("input[name=programmableOptionId]",  page._cruc.$modal).val(programmableoptionid);
                we_helper.getDataDB("/Designer/GetRecord", {
                    pageid: "programmable",
                    id: programmableid
                }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Номер и наименование задания:</strong> " + info.num + ". " + info.name + "; <strong>Вариант:</strong> " + we_helper.urlParam("num")).removeClass("d-none");
                    we_helper.hideLoader();
                });

                _selectParam = [];
                page._cruc.url = ["/Designer/CreateProgrammableVariable", "/Designer/UpdateProgrammableVariable", "/Designer/CopyProgrammableVariable"];
                page._cruc.title = ["Создание новой переменной", "Редактирование параметров переменной", "Создание копии переменной"]; 
                _searchParam.params = [
                    { text: 'Переменная', placeholder: 'Введите часть наименования переменной' },
                    { text: 'Значение', placeholder: 'Введите часть значения переменной' },
                    { text: 'Описание', placeholder: 'Введите часть текста описания' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];

                _table_stg.sortname = 'name';
                _table_stg.corr_height = -40;
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Переменная', 'Значение', 'Описание', 'Отображать', 'Дата изменения', 'Изменил', 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "name", sortable: true, align: 'center', width: 50, index: 'name' },
                    { name: "value", sortable: true, align: 'center', width: 50, index: 'value' },
                    { name: "description", sortable: true, align: 'left', width: 150, index: 'description' },
                    {
                        name: "showInTable", sortable: true, align: 'center', width: 20, index: 'showInTable',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Отображать в интерактивной таблице'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Не отображать в интерактивной таблице'></span>";
                            }
                        }
                    }, 
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                break;
            }
            case "training": {
                crumb.push({ page: "Задания типа «Тренировка»" });
                page._cruc.url = ["/Designer/CreateTraining", "/Designer/UpdateTraining", "/Designer/CopyTraining"];
                page._cruc.title = ["Создание новой тренировки", "Редактирование параметров тренировки", "Создание копии тренировки"]; 
                _searchParam.params = [
                    { text: 'Тренировка или код', placeholder: 'Введите часть наименования или код тренировки' },
                    { text: 'Код', placeholder: 'Введите код тренировки' },
                    { text: 'Тренировка', placeholder: 'Введите часть наименования тренировки' }, 
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];

                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Тренировка',
                    'Структурная единица', 'Внутренняя', 'Дата изменения', 'Изменил', 'Мод.', 'Вар.', 'Меню', 'Схема', 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 35, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 180, index: 'name' },
                    { name: "filialName", sortable: true, align: 'left', width: 80, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступно только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    }, 
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },
                    {
                        name: "moduleCount", sortable: true, align: 'center', width: 20, index: 'moduleCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.moduleCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.moduleCount + "</span>";
                        }
                    },
                    {
                        name: "optionCount", sortable: true, align: 'center', width: 20, index: 'optionCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.optionCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<a href='designer?pageid=trainingoption&trainingid=" + rowObject.id + "' title='Варианты тренировки'><span class='badge " + color + " badge-cell'>" + rowObject.optionCount + "</span></a>";
                        }
                    },
                    {
                        name: "itemMenuCount", sortable: true, align: 'center', width: 20, index: 'itemMenuCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.itemMenuCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<a href='designer?pageid=trainingadditionmenu&trainingid=" + rowObject.id + "' title='Меню обобщённых операций'><span class='badge " + color + " badge-cell'>" + rowObject.itemMenuCount + "</span></a>";
                        }
                    },
                    {
                        name: "btnEditSchema", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-arrow-decision-outline text-info js_goto_table_record' href='designer?pageid=schemaeditor&trainingid=" + rowObject.id + "' title='Схема для тренировки'></a>";
                        }
                    },
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                break;
            }
            case "trainingoption": {
                let trainingid = we_helper.urlParam("trainingid");
                crumb.push({ page: "Задания типа «Тренировка»", path: "/designer?pageid=training" }, { page: "Варианты тренировки" });

                $("input[name=trainingId]",  page._cruc.$modal).val(trainingid);
                we_helper.getDataDB("/Designer/GetRecord", {  pageid: "training",  id: trainingid }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Тренировка:</strong> " + info.num + ". " + info.name).removeClass("d-none");
                    we_helper.hideLoader();
                });

                _selectParam = [];
                page._cruc.url = ["/Designer/CreateTrainingOption", "/Designer/UpdateTrainingOption", "/Designer/CopyTrainingOption"];
                page._cruc.title = ["Создание нового варианта тренировки", "Редактирование варианта тренировки", "Создание копии варианта тренировки"]; 
                _searchParam.params = [
                    { text: 'Номер варианта', placeholder: 'Введите номер варианта тренировки' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _table_stg.corr_height = -40;
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Вариант №', 'Допустимый штраф',
                    'Штраф не по сценарию', 'Дата изменения', 'Изменил', 'Граф', 'Файл', 'Уд. файл', 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 40, index: 'num' },
                    { name: "allowablePenalty", sortable: true, align: 'center', width: 45, index: 'allowablePenalty' },
                    { name: "notScriptedPenalty", sortable: true, align: 'center', width: 45, index: 'notScriptedPenalty' },
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 70, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 80, index: 'userHasChanged' },
                    {
                        name: "btnEditGraph", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-source-branch text-info js_goto_table_record' href='designer?pageid=traininggraph&trainingid=" + trainingid + "&trainingoptionid=" + rowObject.id + "&num=" + rowObject.num + "' title='Схема и граф выполнения варианта '></a>";
                        }
                    },
                    {
                        name: "isHaveFile", sortable: true, align: 'center', width: 20, index: 'isHaveFile', formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.isHaveFile) {
                                return "<a class='mdi mdi-file-download-outline text-info js_download_file_table_record' attr-id='" + rowObject.id + "' target='_blank' title='Просмотреть файл'></a>";
                            }
                            return "";
                        }
                    },
                    {
                        name: "btnDeleteFile", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.isHaveFile) {
                                return "<a class='mdi mdi-file-remove text-danger js_del_file_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить файл'></a>";
                            }
                            return "";
                        }
                    },
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                break;
            }
            case "trainingadditionmenu": {
                let trainingid = we_helper.urlParam("trainingid");
                crumb.push({ page: "Задания типа «Тренировка»", path: "/designer?pageid=training" }, { page: "Меню обобщённых операций" });

                $("input[name=trainingId]",  page._cruc.$modal).val(trainingid);
                we_helper.getDataDB("/Designer/GetRecord", {
                    pageid: "training",
                    id: trainingid
                }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Тренировка:</strong> " + info.num + ". " + info.name).removeClass("d-none");
                    we_helper.hideLoader();
                });

                _selectParam = [];
                page._cruc.url = ["/Designer/CreateAdditionalMenuElement", "/Designer/UpdateAdditionalMenuElement", "/Designer/CopyAdditionalMenuElement"];
                page._cruc.title = ["Создание новой обобщённой операции", "Редактирование параметров обобщённой операции", "Создание копии обобщённой операции"]; 
                _searchParam.params = [
                    { text: 'Обобщённая операция', placeholder: 'Введите наименование обобщённой операции' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _table_stg.sortname = 'name';
                _table_stg.corr_height = -40;
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Обобщённая операция', 'Дата изменения', 'Изменил', 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "name", sortable: true, align: 'left', width: 250, index: 'name' },
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 70, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 80, index: 'userHasChanged' },
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 25, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 25, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 25, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                break;
            }
            case "module": {
                crumb.push({ page: "Учебные модули" });
                we_helper.initSelect('/Designer/GetEnums?name=componentType', $('.select2.js-content-type',  page._cruc.$modal), null, false, true);
                we_helper.initSelect('/Designer/GetRecordsKeyText', $('.select2.js-publisher',  page._cruc.$modal), {
                    pageid: "program",
                    filialid: function () {
                        if (page._data["actionid"] === "copy") {
                            return page._cur_user_filial.id;
                        }
                        return $("[name=filialId]", page._cruc.$modal).val();
                    }
                }, true, false);

                page._cruc.url = ["/Designer/CreateModule", "/Designer/UpdateModule", "/Designer/CopyModule"];
                page._cruc.title = ["Создание нового учебного модуля", "Редактирование параметров учебного модуля", "Создание копии учебного модуля"]; 
                _searchParam.params = [
                    { text: 'Учебный модуль или код', placeholder: 'Введите часть наименования или код учебного модуля' },
                    { text: 'Код', placeholder: 'Введите код учебного модуля' },
                    { text: 'Учебный модуль', placeholder: 'Введите часть наименования учебного модуля' }, 
                    { text: 'Публикатор', placeholder: 'Введите часть наименования уч. курса-публикатора' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' },

                ];

                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Учебный модуль', 'Тип компонентов модуля',
                    'Уч. курс – публикатор', 'Тест', 'Протокол', 'Рейтинг', 'Структурная единица', 'Внутренний', 'Дата изменения', 'Изменил', 'Уч.курс.', 'Комп.', 'Контр.', 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 25, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 130, index: 'name' },
                    { name: "componentName", sortable: true, align: 'left', width: 60, index: 'componentName' },
                    { name: "publisherName", sortable: true, align: 'left', width: 100, index: 'publisherName' },
                    {
                        name: "includeInControlAll", sortable: true, align: 'center', width: 40, index: 'includeInControlAll',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.includeInControlAll) {
                                return 'Включать все ТЗ (варианты)';
                            }
                            return 'Генерировать';
                        }
                    },
                    {
                        name: "showProtocol", sortable: true, align: 'center', width: 40, index: 'showProtocol',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.showProtocol) {
                                return 'Отображать';
                            }
                            return 'Скрывать';
                        }
                    },
                    {
                        name: "saveMaximumRating", sortable: true, align: 'center', width: 45, index: 'saveMaximumRating',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.saveMaximumRating) {
                                return 'Сохранять максимальный';
                            }
                            return 'Перезаписывать';
                        }
                    },
                    { name: "filialName", sortable: true, align: 'left', width: 50, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступен только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    }, 
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 50, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 55, index: 'userHasChanged' },
                    {
                        name: "courseCount", sortable: true, align: 'center', width: 20, index: 'courseCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.courseCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<a href='designer?pageid=modulecourses&moduleid=" + rowObject.id + "' title='Учебные курсы модуля'><span class='badge " + color + " badge-cell'>" + rowObject.courseCount + "</span></a>";
                        }
                    },
                    {
                        name: "componentCount", sortable: false, align: 'center', width: 20, index: 'componentCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.componentCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<a href='designer?pageid=moduleunit&moduleid=" + rowObject.id + "&componentType=" + rowObject.componentType + "' title='Компоненты модуля'><span class='badge " + color + " badge-cell'>" + rowObject.componentCount + "</span></a>";
                        }
                    },
                    //{
                    //    name: "testItemCount", sortable: true, align: 'center', width: 20, index: 'testItemCount', formatter: function (cellvalue, options, rowObject) {
                    //        if (rowObject.componentType !== 0) {
                    //            return "-";
                    //        }
                    //        let color = "badge-success";
                    //        if (rowObject.testItemCount <= 0) {
                    //            color = "badge-danger";
                    //        }
                    //        return "<span class='badge " + color + " badge-cell'>" + rowObject.testItemCount + "</span>";
                    //    }
                    //},
                    {
                        name: "btnEditTest", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-format-annotation-plus text-info js_goto_table_record' href='designer?pageid=testeditor&moduleid=" + rowObject.id + "&componentType=" + rowObject.componentType + "' title='Объём контроля для компонентов модуля'></a>";
                        }
                    }, 
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                break;
            }
            case "modulecourses": { 
                let moduleid = we_helper.urlParam("moduleid"),
                    programid = we_helper.urlParam("programid");

                if (programid !== null) {
                    crumb.push({ page: "Учебные курсы", path: "/designer?pageid=program" },
                        { page: "Редактор содержания учебного курса", path: "/designer?pageid=programeditor&programid=" + programid + "&moduleid=" + moduleid });
                } else {
                    crumb.push({ page: "Учебные модули", path: "/designer?pageid=module" });
                }
                crumb.push({ page: "Учебные курсы модуля" });

                we_helper.getDataDB("/Designer/GetRecord", { pageid: "module", id: moduleid }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Учебный модуль:</strong> " + info.num + ". " + info.name + "; <strong>Тип программы модуля:</strong> " + info.componentName).removeClass("d-none");
                    we_helper.hideLoader();
                });
                _searchParam.params = [
                    { text: 'Учебный курс или код', placeholder: 'Введите часть наименования или код учебного курса' },
                    { text: 'Код', placeholder: 'Введите код учебного курса' },
                    { text: 'Учебный курс', placeholder: 'Введите часть наименования учебного курса' },
                    { text: 'Регламент контроля', placeholder: 'Введите часть наименования регламента контроля' },
                    { text: 'Структурная единица', placeholder: 'Введите часть наименования структурной учебного курса' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _selectParam = []; 
                _table_stg.corr_height = -40;
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Уч. курс',
                    'Регламент контроля', 'Ответственное подразделение', 'Тест', 'Протокол', 'Структурная единица', 'Внутренняя', 'Открытая', 'Дата изменения', 'Изменил', 'Бил', 'Мод.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 25, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 300, index: 'name' },
                    { name: "testingRegulationName", sortable: true, align: 'left', width: 80, index: 'testingRegulationName' },
                    { name: "departmentName", sortable: true, align: 'left', width: 75, index: 'departmentName' },
                    {
                        name: "includeInControlAll", sortable: true, align: 'center', width: 35, index: 'includeInControlAll',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.includeInControlAll) {
                                return 'Включать все ТЗ (варианты)';
                            }
                            return 'Генерировать';
                        }
                    },
                    {
                        name: "showProtocol", sortable: true, align: 'center', width: 35, index: 'showProtocol',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.showProtocol) {
                                return 'Отображать';
                            }
                            return 'Скрывать';
                        }
                    },
                    { name: "filialName", sortable: true, align: 'left', width: 60, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступен только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    },
                    {
                        name: "availableForLearning", sortable: true, align: 'center', width: 20, index: 'availableForLearning',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Открытый учебный курс'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Закрытый учебный курс'></span>";
                            }
                        }
                    },
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 60, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 70, index: 'userHasChanged' },
                    {
                        name: "ticketCount", sortable: true, align: 'center', width: 20, index: 'ticketCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.ticketCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.ticketCount + "</span>";
                        }
                    },
                    {
                        name: "moduleCount", sortable: true, align: 'center', width: 20, index: 'moduleCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.moduleCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.moduleCount + "</span>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    }
                ];
                _actionBtn[0].text = "Добавить";
                break;
            }
            case "includecourse": {
                let moduleid = we_helper.urlParam("moduleid"),
                    programid = we_helper.urlParam("programid");

                if (programid !== null) {
                    crumb.push({ page: "Учебные курсы", path: "/designer?pageid=program" },
                        { page: "Редактор содержания учебного курса", path: "/designer?pageid=programeditor&programid=" + programid + "&moduleid=" + moduleid },
                        { page: "Учебные курсы модуля", path: "/designer?pageid=modulecourses&programid=" + programid + "&moduleid=" + moduleid }                    );
                } else {
                    crumb.push({ page: "Учебные модули", path: "/designer?pageid=module" },
                        { page: "Учебные курсы модуля", path: "/designer?pageid=modulecourses&moduleid=" + moduleid });
                }
                crumb.push({ page: "Учебные курсы для добавления в модуль" });

                we_helper.getDataDB("/Designer/GetRecord", { pageid: "module", id: moduleid }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Учебный модуль:</strong> " + info.num + ". " + info.name + "; <strong>Тип программы модуля:</strong> " + info.componentName).removeClass("d-none");
                    we_helper.hideLoader();
                });
                _searchParam.params = [
                    { text: 'Учебный курс или код', placeholder: 'Введите часть наименования или код учебного курса' },
                    { text: 'Код', placeholder: 'Введите код учебного курса' },
                    { text: 'Учебный курс', placeholder: 'Введите часть наименования учебного курса' },
                    { text: 'Регламент контроля', placeholder: 'Введите часть наименования регламента контроля' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ]; 
                _table_stg.corr_height = -40;
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Учебный курс', 'Регламент контроля',
                    'Ответственное подразделение', 'Тест', 'Протокол', 'Структурная единица', 'Внутренняя', 'Открытая', 'Дата изменения', 'Изменил', 'Бил.', 'Мод.', 'Доб.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 20, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 200, index: 'name' },
                    { name: "testingRegulationName", sortable: true, align: 'left', width: 90, index: 'testingRegulationName' },
                    { name: "departmentName", sortable: true, align: 'left', width: 70, index: 'departmentName' },
                    {
                        name: "includeInControlAll", sortable: true, align: 'center', width: 35, index: 'includeInControlAll',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.includeInControlAll) {
                                return 'Включать все ТЗ (варианты)';
                            }
                            return 'Генерировать';
                        }
                    },
                    {
                        name: "showProtocol", sortable: true, align: 'center', width: 35, index: 'showProtocol',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.showProtocol) {
                                return 'Отображать';
                            }
                            return 'Скрывать';
                        }
                    },
                    { name: "filialName", sortable: true, align: 'left', width: 60, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступен только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    },
                    {
                        name: "availableForLearning", sortable: true, align: 'center', width: 20, index: 'availableForLearning',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Открытый учебный курс'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Закрытый учебный курс'></span>";
                            }
                        }
                    },
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 60, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 70, index: 'userHasChanged' },
                    {
                        name: "ticketCount", sortable: true, align: 'center', width: 20, index: 'ticketCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.ticketCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.ticketCount + "</span>";
                        }
                    },
                    {
                        name: "moduleCount", sortable: true, align: 'center', width: 20, index: 'moduleCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.moduleCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.moduleCount + "</span>";
                        }
                    },
                    {
                        name: "btnAdd", classes: 'overflow-none', width: 25, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-plus text-success js_add_table_record' href='#' attr-id='" + rowObject.id + "' title='Добавить'></a>";
                        }
                    }
                ]; 
                _actionBtn = [
                    {
                        id: "add",
                        icon: "mdi mdi-plus",
                        style: "success",
                        text: "Добавить"
                    }];
                break;
            } 
            case "moduleunit": { 
                let moduleid = we_helper.urlParam("moduleid");
                let componentType = we_helper.urlParam("componentType");
              
                crumb.push({ page: "Учебные модули", path: "/designer?pageid=module" }, { page: "Компоненты модуля" });
                we_helper.getDataDB("/Designer/GetRecord", { pageid: "module",  id: moduleid }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Учебный модуль:</strong> " + info.num + ". " + info.name + "; <strong>Тип компонентов модуля:</strong> " + info.componentName).removeClass("d-none");
                    we_helper.hideLoader();
                });
                _searchParam.params = [
                    { text: 'Компонент или код', placeholder: 'Введите часть наименования или код компонента' },
                    { text: 'Код', placeholder: 'Введите код компонента' },
                    { text: 'Компонент', placeholder: 'Введите часть наименования компонента' },
                    { text: 'Структурная единица', placeholder: 'Введите часть наименования структурной единицы компонента' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _selectParam = [];
                _table_stg.corr_height = -40;
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Компонент (уч.ед. или практ.задание)',
                    'Раздел', 'Структурная единица', 'Внутренняя', 'Дата изменения', 'Изменил', 'ТЗ', (componentType === "0" ? 'Выбр.' : 'Вар.'),  'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 25, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 300, index: 'name' },
                    { name: "sectionName", sortable: true, align: 'left', width: 80, index: 'sectionName', hidden: true },
                    { name: "filialName", sortable: true, align: 'left', width: 75, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступен только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    }, 
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },

                    {
                        name: "totalQuestionCount", sortable: true, align: 'center', width: 20, hidden: true, index: 'totalQuestionCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success",
                                title = "Всего тестовых заданий";
                            if (rowObject.totalQuestionCount <= 0) {
                                color = "badge-danger";
                            }
                            if (rowObject.questionsOnUpdating) {
                                color = "badge-warning";
                                title = "Тестовые задания на проверке с " + we_helper.convertDate(rowObject.questionsOnUpdating);
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell' title='" + title + "'>" + rowObject.totalQuestionCount + "</span>";
                        }
                    },
                    {
                        name: "totalItemCount", sortable: true, align: 'center', width: 20, index: 'totalItemCount',
                        formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.totalItemCount <= 0) {
                                color = "badge-danger";
                            }
                            if (componentType === "0") {
                                return "<a href='designer?pageid=modulequestion&documentid=" + rowObject.componentId + "&moduleid=" + moduleid + "&componentType=" + componentType + "' title='Тестовые задания в составе учебной единицы'><span class='badge " + color + " badge-cell'>" + rowObject.totalItemCount + "</span></a>";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell' title='Всего вариантов'>" + rowObject.totalItemCount + "</span>";

                        }
                    },
                 
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ];
                _actionBtn[0].text = "Добавить";
                break;
            }
            case "includeunit": {
                let programid = we_helper.urlParam("programid");
                let moduleid = we_helper.urlParam("moduleid");
                let componentType = we_helper.urlParam("componentType");

                if (programid !== null) {
                    crumb.push({ page: "Учебные курсы", path: "/designer?pageid=program" },
                        { page: "Редактор содержания учебного курса", path: "/designer?pageid=programeditor&programid=" + programid + "&moduleid=" + moduleid });
                } else {
                    crumb.push({ page: "Учебные модули", path: "/designer?pageid=module" },
                        { page: "Компоненты модуля", path: "/designer?pageid=moduleunit&moduleid=" + moduleid + "&componentType=" + componentType });
                }
                crumb.push({ page: "Компоненты для добавления в модуль" });

                we_helper.getDataDB("/Designer/GetRecord", { pageid: "module",   id: moduleid }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Учебный модуль:</strong> " + info.num + ". " + info.name + "; <strong>Тип компонентов модуля:</strong> " + info.componentName).removeClass("d-none");
                    we_helper.hideLoader();
                }); 

                _searchParam.params = [
                    { text: 'Компонент или код', placeholder: 'Введите часть наименования или код компонента' },
                    { text: 'Код', placeholder: 'Введите код компонента' },
                    { text: 'Компонент', placeholder: 'Введите часть наименования компонента' }, 
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];

                _table_stg.corr_height = -40;
                if (componentType === "0") {
                    _table_stg.corr_height = -100;
                    _selectParam.push({
                        id: "section",
                        title: "Раздел",
                        url: "/Designer/GetRecordsKeyText",
                        def_selected: {
                            id: null, text: null
                        }
                    }); 
                } 
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Компонент (уч.ед. или практ.задание)',
                    'Раздел', 'Структурная единица', 'Внутренняя', 'Дата изменения', 'Изменил', (componentType === "0" ? 'ТЗ' : 'Вар.'), 'Доб.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 25, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 300, index: 'name' },
                    { name: "sectionName", sortable: true, align: 'left', width: 100, index: 'sectionName', hidden: true },
                    { name: "filialName", sortable: true, align: 'left', width: 60, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступна только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    }, 
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 60, index: 'userHasChanged' },
                    {
                        name: "totalItemCount", sortable: true, align: 'center', width: 20, index: 'totalItemCount',
                        formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success",
                                title = "";
                            if (rowObject.totalItemCount <= 0) {
                                color = "badge-danger";
                            }

                            if (rowObject.questionsOnUpdating) {
                                color = "badge-warning";
                                title = "Тестовые задания на проверке с " + we_helper.convertDate(rowObject.questionsOnUpdating);
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell' title='" + title + "'>" + rowObject.totalItemCount + "</span>";
                        }
                    },
                    {
                        name: "btnAdd", classes: 'overflow-none', width: 25, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-plus text-success js_add_table_record' href='#' attr-id='" + rowObject.id + "' title='Добавить'></a>";
                        }
                    }
                ]; 
                _actionBtn = [
                    {
                        id: "add",
                        icon: "mdi mdi-plus",
                        style: "success",
                        text: "Добавить"
                    }];

                break;
            }
            case "modulequestion": { 
                let programid = we_helper.urlParam("programid");
                let moduleid = we_helper.urlParam("moduleid");
                let documentid = we_helper.urlParam("documentid");
                let componentType = we_helper.urlParam("componentType");

                if (programid !== null) {
                    crumb.push({ page: "Учебные курсы", path: "/designer?pageid=program" },
                        { page: "Редактор содержания учебного курса", path: "/designer?pageid=programeditor&programid=" + programid + "&moduleid=" + moduleid + "&documentid=" + documentid });
                } else {
                    crumb.push({ page: "Учебные модули", path: "/designer?pageid=module" },
                        { page: "Компоненты модуля", path: "/designer?pageid=moduleunit&moduleid=" + moduleid + "&componentType=" + componentType });
                }
                crumb.push({ page: "Тестовые задания в составе учебной единицы" });

                we_helper.getDataDB("/Designer/GetRecord", {  pageid: "module",  id: moduleid }, "query", false, function (info) {
                    we_helper.getDataDB("/Designer/GetRecord", {
                        pageid: "document",
                        id: documentid
                    }, "query", false, function (doc_info) {
                        $(".js_page_info").html("<strong>Учебный модуль:</strong> " + info.num + ". " + info.name +
                            "<br/><strong>Учебная единица:</strong> " + doc_info.num + ". " + doc_info.name).removeClass("d-none");
                        we_helper.hideLoader();
                    });
                });

                _selectParam = [];
                _searchParam.params = [
                    { text: 'Тестовое задание или код', placeholder: 'Введите часть наименования или код тестового задания' },
                    { text: 'Код', placeholder: 'Введите код тестового задания' },
                    { text: 'Тестовое задание', placeholder: 'Введите часть наименования тестового задания' },
                    { text: 'Закладка', placeholder: 'Введите часть текста закладки' },
                    { text: 'Составитель', placeholder: 'Введите часть наименования области данных составителя' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _table_stg.corr_height = -80;
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Тестовое задание', 'Тип', 'Закладка', 'Составитель',
                    'Дата изменения', 'Изменил', 'Отв.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 25, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 300, index: 'name' },
                    { name: "questTypeName", sortable: true, align: 'left', width: 60, index: 'questTypeName' },
                    {
                        name: "bookMark", sortable: true, align: 'left', width: 50, index: 'bookMark', formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.bookMark !== null && rowObject.bookMark !== "") {
                                return "<a class='text-info js_view_question_link' href='#' link-id='" + rowObject.bookMark + "' attr-id='" + documentid + "'>" + rowObject.bookMark + "</a>";
                            }
                            return "";
                        }
                    },
                    { name: "publisherName", sortable: true, align: 'left', width: 50, index: 'publisherName' },
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },
                    {
                        name: "answerCount", sortable: true, align: 'center', width: 20, index: 'answerCount',
                        formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.answerCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.answerCount + "</span>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                _actionBtn[0].text = "Добавить";
                break;
            }
            case "includequestion": { 
                let programid = we_helper.urlParam("programid");
                let moduleid = we_helper.urlParam("moduleid");
                let documentid = we_helper.urlParam("documentid");
                let componentType = we_helper.urlParam("componentType");

                if (programid !== null) {
                    crumb.push({ page: "Учебные курсы", path: "/designer?pageid=program" },
                        { page: "Редактор содержания учебного курса", path: "/designer?pageid=programeditor&programid=" + programid + "&moduleid=" + moduleid + "&documentid=" + documentid },
                        { page: "Тестовые задания в составе учебной единицы", path: "/designer?pageid=modulequestion&programid=" + programid + "&moduleid=" + moduleid + "&documentid=" + documentid + "&componentType=" + componentType });
                } else {
                    crumb.push({ page: "Учебные модули", path: "/designer?pageid=module" },
                        { page: "Компоненты модуля", path: "/designer?pageid=moduleunit&moduleid=" + moduleid + "&componentType=" + componentType },
                        { page: "Тестовые задания в составе учебной единицы", path: "/designer?pageid=modulequestion&moduleid=" + moduleid + "&documentid=" + documentid + "&componentType=" + componentType });
                }
                crumb.push({ page: "Тестовые задания для добавления в учебную единицу" });

                we_helper.getDataDB("/Designer/GetRecord", {  pageid: "module",  id: moduleid  }, "query", false, function (info) {
                    we_helper.getDataDB("/Designer/GetRecord", { pageid: "document",  id: documentid }, "query", false, function (doc_info) {
                        $(".js_page_info").html("<strong>Учебный модуль:</strong> " + info.num + ". " + info.name +
                            "<br/><strong>Учебная единица:</strong> " + doc_info.num + ". " + doc_info.name).removeClass("d-none");
                        we_helper.hideLoader();
                    });
                });

                _selectParam = [];
                _searchParam.params = [
                    { text: 'Тестовое задание или код', placeholder: 'Введите часть наименования или код тестового задания' },
                    { text: 'Код', placeholder: 'Введите код тестового задания' },
                    { text: 'Тестовое задание', placeholder: 'Введите часть наименования тестового задания' },
                    { text: 'Закладка', placeholder: 'Введите часть текста закладки' },
                    { text: 'Составитель', placeholder: 'Введите часть наименования области данных составителя' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _table_stg.corr_height = -85;
                _table_stg.colNames = [
                    '', '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Тестовое задание', 'Тип', 'Закладка', 'Составитель',
                    'Дата изменения', 'Изменил', 'Отв.', 'Файл', 'Доб.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    { name: "questType", hidedlg: true, hidden: true, index: 'questType' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 25, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 300, index: 'name' },
                    { name: "questTypeName", sortable: true, align: 'left', width: 60, index: 'questTypeName' },
                    {
                        name: "bookMark", sortable: true, align: 'left', width: 50, index: 'bookMark', formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.bookMark !== null && rowObject.bookMark !== "") {
                                return "<a class='text-info js_view_question_link' href='#' link-id='" + rowObject.bookMark + "' attr-id='" + documentid + "'>" + rowObject.bookMark + "</a>";
                            }
                            return "";
                        }
                    },
                    { name: "publisherName", sortable: true, align: 'left', width: 50, index: 'publisherName' },
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },
                    {
                        name: "answerCount", sortable: true, align: 'center', width: 20, index: 'answerCount',
                        formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.answerCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.answerCount + "</span>";
                        }
                    },
                    {
                        name: "isHaveFile", sortable: true, align: 'center', width: 20, index: 'isHaveFile', formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.isHaveFile) {
                                return "<a class='mdi mdi-file-download-outline text-info js_download_file_table_record' attr-id='" + rowObject.id + "' target='_blank' title='Просмотреть файл'></a>";
                            }
                            return "";
                        }
                    },
                    {
                        name: "btnAdd", classes: 'overflow-none', width: 25, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-plus text-success js_add_table_record' href='#' attr-id='" + rowObject.id + "' title='Добавить'></a>";
                        }
                    }
                ];
                _table_stg.subGrid = true;
                _table_stg.subGridRowExpanded = function (subgrid_id, row_id) {
                    we_helper.initAnswersJqGrid(page.$table, subgrid_id, row_id, "designer_includequestion_answers", 0.75);
                }; 
                _actionBtn = [
                    {
                        id: "add",
                        icon: "mdi mdi-plus",
                        style: "success",
                        text: "Добавить"
                    }];
                break;
            }
            case "program": {
                crumb.push({ page: "Учебные курсы" });

                page.$dlgImport.on('hidden.bs.modal', function (e) {
                    we_helper.clearModal(page.$dlgImport);
                });
               
                let $controlMethods = $('.select2.js-required-testing, .select2.js-intermediate-attestation', page._cruc.$modal);
                we_helper.initSelect('/Designer/GetEnums?name=controlMethods', $controlMethods, null, false, true, function () {
                    $controlMethods.find('option:eq(0)').remove();
                });

                we_helper.initSelect('/Designer/GetRecordsKeyText', $(".select2.js-testing-regulation",  page._cruc.$modal), {
                    pageid: "testingregulation",
                    filialid: function () {
                        if (page._data["actionid"] === "copy") {
                            return page._cur_user_filial.id;
                        }
                        return $("[name=filialId]", page._cruc.$modal).val();
                    }
                }, true, true);

                we_helper.initSelect('/Admin/GetRecordsKeyText', $(".select2.js-department",  page._cruc.$modal), {
                    pageid: "department",
                    filialid: function () {
                        if (page._data["actionid"] === "copy") {
                            return page._cur_user_filial.id;
                        }
                        return $("[name=filialId]", page._cruc.$modal).val();
                    }
                }, true, false);

                page._cruc.url = ["/Designer/CreateProgram", "/Designer/UpdateProgram", "/Designer/CopyProgram", "/Designer/UnionPrograms"];
                page._cruc.title = ["Создание нового учебного курса", "Редактирование параметров учебного курса", "Создание копии учебного курса", "Создание нового учебного курса путём объединения"]; 
                _searchParam.params = [
                    { text: 'Учебный курс или код', placeholder: 'Введите часть наименования или код учебного курса' },
                    { text: 'Код', placeholder: 'Введите код учебного курса' },
                    { text: 'Учебный курс', placeholder: 'Введите часть наименования учебного курса' },
                    { text: 'Регламент контроля', placeholder: 'Введите часть наименования регламента контроля' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];

                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Учебный курс', 'Регламент контроля',
                    'Ответственное подразделение', 'Тест', 'Протокол', 'Структурная единица', 'Внутренняя', 'Открытая', 'Дата изменения', 'Изменил', 'Бил.', 'Мод.', 'Комп.', /*'Отпр.', 'Эксп.', 'Имп.',*/ 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 20, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 200, index: 'name' },
                    { name: "testingRegulationName", sortable: true, align: 'left', width: 90, index: 'testingRegulationName' },
                    { name: "departmentName", sortable: true, align: 'left', width: 70, index: 'departmentName' },
                    {
                        name: "includeInControlAll", sortable: true, align: 'center', width: 35, index: 'includeInControlAll',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.includeInControlAll) {
                                return 'Включать все ТЗ (варианты)';
                            }
                            return 'Генерировать';
                        }
                    },
                    {
                        name: "showProtocol", sortable: true, align: 'center', width: 35, index: 'showProtocol',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.showProtocol) {
                                return 'Отображать';
                            }
                            return 'Скрывать';
                        }
                    },
                    { name: "filialName", sortable: true, align: 'left', width: 60, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступен только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    }, 
                    {
                        name: "availableForLearning", sortable: true, align: 'center', width: 20, index: 'availableForLearning',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Открытый учебный курс'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Закрытый учебный курс'></span>";
                            }
                        }
                    }, 
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 60, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 70, index: 'userHasChanged' },
                    {
                        name: "ticketCount", sortable: true, align: 'center', width: 20, index: 'ticketCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.ticketCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<a href='designer?pageid=ticket&programid=" + rowObject.id + "' title='Билеты'><span class='badge " + color + " badge-cell'>" + rowObject.ticketCount + "</span></a>";
                        }
                    },
                    {
                        name: "moduleCount", sortable: true, align: 'center', width: 20, index: 'moduleCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.moduleCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<a href='designer?pageid=progmodule&programid=" + rowObject.id + "' title='Учебные модули'><span class='badge " + color + " badge-cell'>" + rowObject.moduleCount + "</span></a>";
                        }
                    },
                    {
                        name: "btnProgEditor", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-file-tree text-info js_goto_table_record' href='designer?pageid=programeditor&programid=" + rowObject.id + "' title='Редактор содержания учебного курса'></a>";
                        }
                    },  
                    //{
                    //    name: "btnSendToCurator", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                    //    formatter: function (cellvalue, options, rowObject) {
                    //        return "<a class='mdi mdi-send text-info table-action-btn js_send_to_curator_record' href='#' attr-id='" + rowObject.id + "'  title='Отправить на проверку'></a>";
                    //    }
                    //},  
                    //{
                    //    name: "btnExportCourse", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                    //    formatter: function (cellvalue, options, rowObject) {
                    //        return "<a class='mdi mdi-file-export text-info table-action-btn js_export_course_record' href='#' attr-id='" + rowObject.id + "' title='Экспортировать программу контроля учебного курса'></a>";
                    //    }
                    //},  
                    //{
                    //    name: "btnImportCourse", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                    //    formatter: function (cellvalue, options, rowObject) {
                    //        return "<a class='mdi mdi-file-import text-info table-action-btn js_import_course_record' href='#' attr-id='" + rowObject.id + "' title='Импортировать программу контроля учебного курса'></a>";
                    //    }
                    //},  
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ];
                _actionBtn.push({
                    id: "union",
                    icon: "mdi mdi-group",
                    style: "info",
                    text: "Объединить"
                });
                break;
            }
            case "progmodule": {
                crumb.push({ page: "Учебные курсы", path: "/designer?pageid=program" },
                    { page: "Учебные модули курса" });
                let programid = we_helper.urlParam("programid");
                we_helper.getDataDB("/Designer/GetRecord", {  pageid: "program", id: programid   }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Учебный курс:</strong> " + info.num + ". " + info.name).removeClass("d-none");
                    we_helper.hideLoader();
                });

                _selectParam = [];
                _searchParam.params = [
                    { text: 'Учебный модуль или код', placeholder: 'Введите часть наименования или код учебного модуля' },
                    { text: 'Код', placeholder: 'Введите код учебного модуля' },
                    { text: 'Учебный модуль', placeholder: 'Введите часть наименования учебного модуля' },
                    { text: 'Структурная единица', placeholder: 'Введите часть наименования структурной единицы учебного модуля' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _table_stg.sortname = 'numInCourse';
                _table_stg.corr_height = -40;
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', '№ п/п', 'Код', 'Учебный модуль', 'Тип компонентов модуля',
                    'Тест', 'Протокол', 'Рейтинг', 'Структурная единица', 'Внутренний', 'Владелец', 'Дата изменения', 'Изменил', 'Комп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "numInCourse", sortable: true, align: 'center', width: 35, index: 'numInCourse' },
                    { name: "num", sortable: true, align: 'center', width: 35, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 180, index: 'name' },
                    { name: "componentName", sortable: true, align: 'left', width: 80, index: 'componentName' },
                    {
                        name: "includeInControlAll", sortable: true, align: 'center', width: 40, index: 'includeInControlAll',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.includeInControlAll) {
                                return 'Включать все ТЗ (варианты)';
                            }
                            return 'Генерировать';
                        }
                    },
                    {
                        name: "showProtocol", sortable: true, align: 'center', width: 40, index: 'showProtocol',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.showProtocol) {
                                return 'Отображать';
                            }
                            return 'Скрывать';
                        }
                    },
                    {
                        name: "saveMaximumRating", sortable: true, align: 'center', width: 45, index: 'saveMaximumRating',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.saveMaximumRating) {
                                return 'Сохранять максимальный';
                            }
                            return 'Перезаписывать';
                        }
                    },
                    { name: "filialName", sortable: true, align: 'left', width: 50, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступен только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    }, 
                    {
                        name: "owner", sortable: true, align: 'center', width: 20, index: 'owner',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='ДА'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='НЕТ'></span>";
                            }
                        }
                    }, 
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },
                    {
                        name: "componentCount", sortable: false, align: 'center', width: 20, index: 'componentCount',
                        formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.componentCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.componentCount + "</span>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ];
                _actionBtn[0].text = "Добавить";
                break;
            }
            case "includemodule": {
                let programid = we_helper.urlParam("programid");
                let backpageid = we_helper.urlParam("backpageid");

                crumb.push({ page: "Учебные курсы", path: "/designer?pageid=program" });
                if (backpageid === "programeditor") {
                    crumb.push({ page: "Редактор содержания учебного курса", path: "/designer?pageid=programeditor&programid=" + programid });
                } else {
                    crumb.push({ page: "Учебные модули курса", path: "/designer?pageid=progmodule&programid=" + programid });
                }
                crumb.push({ page: "Добавление учебных модулей" });

                we_helper.getDataDB("/Designer/GetRecord", { pageid: "program", id: programid }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Учебный курс:</strong> " + info.num + ". " + info.name).removeClass("d-none");
                    we_helper.hideLoader();
                });
                _selectParam[0].url = "/Admin/GetRecordsKeyText";
                _searchParam.params = [
                    { text: 'Учебный модуль или код', placeholder: 'Введите часть наименования или код учебного модуля' },
                    { text: 'Код', placeholder: 'Введите код учебного модуля' },
                    { text: 'Учебный модуль', placeholder: 'Введите часть наименования учебного модуля' }, 
                    { text: 'Публикатор', placeholder: 'Введите часть наименования уч. курса-публикатора' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _table_stg.corr_height = -40;
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Учебный модуль', 'Тип компонентов модуля',
                    'Уч. курс – публикатор', 'Тест', 'Протокол', 'Рейтинг', 'Структурная единица', 'Внутренний', 'Дата изменения', 'Изменил', 'Уч.курс.', 'Комп.', 'Доб.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 20, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 130, index: 'name' },
                    { name: "componentName", sortable: true, align: 'left', width: 60, index: 'componentName' },
                    { name: "publisherName", sortable: true, align: 'left', width: 100, index: 'publisherName' },
                    {
                        name: "includeInControlAll", sortable: true, align: 'center', width: 40, index: 'includeInControlAll',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.includeInControlAll) {
                                return 'Включать все ТЗ (варианты)';
                            }
                            return 'Генерировать';
                        }
                    },
                    {
                        name: "showProtocol", sortable: true, align: 'center', width: 35, index: 'showProtocol',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.showProtocol) {
                                return 'Отображать';
                            }
                            return 'Скрывать';
                        }
                    },
                    {
                        name: "saveMaximumRating", sortable: true, align: 'center', width: 40, index: 'saveMaximumRating',
                        formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.saveMaximumRating) {
                                return 'Сохранять максимальный';
                            }
                            return 'Перезаписывать';
                        }
                    },
                    { name: "filialName", sortable: true, align: 'left', width: 50, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступен только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    }, 
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 50, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 55, index: 'userHasChanged' },
                    {
                        name: "courseCount", sortable: true, align: 'center', width: 20, index: 'courseCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.courseCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.courseCount + "</span>";
                        }
                    },
                    {
                        name: "componentCount", sortable: false, align: 'center', width: 20, index: 'componentCount',
                        formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.componentCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.componentCount + "</span>";
                        }
                    },
                    {
                        name: "btnAdd", classes: 'overflow-none', width: 25, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-plus text-success js_add_table_record' href='#' attr-id='" + rowObject.id + "' title='Добавить'></a>";
                        }
                    }
                ];

                _actionBtn = [
                    {
                        id: "add",
                        icon: "mdi mdi-plus",
                        style: "success",
                        text: "Добавить"
                    }];
                break;
            }
            case "ticket": {
                crumb.push({ page: "Учебные курсы", path: "/designer?pageid=program" }, { page: "Билеты" });

                let programid = we_helper.urlParam("programid");
                $("input[name=programId]",  page._cruc.$modal).val(programid);
                we_helper.getDataDB("/Designer/GetRecord", { pageid: "program",  id: programid }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Учебный курс:</strong> " + info.num + ". " + info.name).removeClass("d-none");
                    we_helper.hideLoader();
                });

                _selectParam = [];
                page._cruc.url = ["/Designer/CreateTicket", "/Designer/UpdateTicket", "/Designer/CopyTicket"];
                page._cruc.title = ["Создание нового билета", "Редактирование номера билета", "Создание копии билета"]; 
                _searchParam.params = [
                    { text: 'Номер билета', placeholder: 'Введите номер билета' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _table_stg.corr_height = -40;
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Билет №', 'Дата изменения', 'Изменил', 'ТЗ', 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 200, index: 'num' },
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 70, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 90, index: 'userHasChanged' },
                    {
                        name: "questCount", sortable: true, align: 'center', width: 20, index: 'questCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.questCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<a href='designer?pageid=ticketquest&programid=" + programid + "&ticketid=" + rowObject.id + "&num=" + rowObject.num + "' title='Тестовые задания билета'><span class='badge " + color + " badge-cell'>" + rowObject.questCount + "</span></a>";
                        }
                    },
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                break;
            }
            case "ticketquest": {
                let programid = we_helper.urlParam("programid");

                crumb.push({ page: "Учебные курсы", path: "/designer?pageid=program" },
                    { page: "Билеты", path: "/designer?pageid=ticket&programid=" + programid },
                    { page: "Тестовые задания билета" });

                we_helper.getDataDB("/Designer/GetRecord", {   pageid: "program", id: programid }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Учебный курс:</strong> " + info.num + ". " + info.name + "; <strong>Билет №:</strong> " + we_helper.urlParam("num")).removeClass("d-none");
                    we_helper.hideLoader();
                });

                _selectParam = [];
                _searchParam.params = [
                    { text: 'Тестовое задание или код', placeholder: 'Введите часть наименования или код тестового задания' },
                    { text: 'Код', placeholder: 'Введите код тестового задания' },
                    { text: 'Тестовое задание', placeholder: 'Введите часть наименования тестового задания' },
                    { text: 'Составитель', placeholder: 'Введите часть наименования области данных составителя' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _table_stg.corr_height = -40;
                _table_stg.sortname = 'numInTicket';
                _table_stg.colNames = [
                    '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', '№ п/п', 'Код', 'Тестовое задание', 'Тип', 'Закладка', 'Документ', 'Раздел', 'Составитель',
                    'Дата изменения', 'Изменил', 'Отв.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "numInTicket", sortable: true, align: 'center', width: 30, index: 'numInTicket' },
                    { name: "num", sortable: true, align: 'center', width: 30, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 250, index: 'name' },
                    { name: "questTypeName", sortable: true, align: 'left', width: 60, index: 'questTypeName' },
                    {
                        name: "bookMark", sortable: true, align: 'left', width: 50, index: 'bookMark', formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.bookMark !== null && rowObject.bookMark !== "") {
                                return "<a class='text-info js_view_question_link' href='#' link-id='" + rowObject.bookMark + "' attr-id='" + rowObject.documentId + "'>" + rowObject.bookMark + "</a>";
                            }
                            return "";
                        }
                    },
                    { name: "documentName", sortable: true, align: 'left', width: 80, index: 'documentName' },
                    { name: "sectionName", sortable: true, align: 'left', width: 70, index: 'sectionName' },
                    { name: "publisherName", sortable: true, align: 'left', width: 50, index: 'publisherName' },
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },
                    {
                        name: "answerCount", sortable: true, align: 'center', width: 20, index: 'answerCount',
                        formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.answerCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.answerCount + "</span>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                _actionBtn[0].text = "Добавить";
                break;
            }
            case "includeinticket": {
                let programid = we_helper.urlParam("programid");
                let ticketid = we_helper.urlParam("ticketid");
                let ticketnum = we_helper.urlParam("num");
                crumb.push({ page: "Учебные курсы", path: "/designer?pageid=program" },
                    { page: "Билеты", path: "/designer?pageid=ticket&programid=" + programid },
                    { page: "Тестовые задания билета", path: "/designer?pageid=ticketquest&programid=" + programid + "&ticketid=" + ticketid + "&num=" + ticketnum },
                    { page: "Тестовые задания для добавления в билет" });

                we_helper.getDataDB("/Designer/GetRecord", { pageid: "program",  id: programid }, "query", false, function (info) {
                    $(".js_page_info").html("<strong>Учебный курс:</strong> " + info.num + ". " + info.name + "; <strong>Билет №:</strong> " + ticketnum).removeClass("d-none");
                    we_helper.hideLoader();
                });

                _selectParam = []; 
                _searchParam.params = [
                    { text: 'Тестовое задание или код', placeholder: 'Введите часть наименования или код тестового задания' },
                    { text: 'Код', placeholder: 'Введите код тестового задания' },
                    { text: 'Тестовое задание', placeholder: 'Введите часть наименования тестового задания' },
                    { text: 'Документ', placeholder: 'Введите часть наименования документа' },
                    { text: 'Раздел', placeholder: 'Введите часть наименования раздела документа' },
                    { text: 'Составитель', placeholder: 'Введите часть наименования области данных составителя' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];
                _table_stg.corr_height = -40;
                _table_stg.colNames = [
                    '', '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Тестовое задание', 'Тип', 'Закладка', 'Документ', 'Раздел', 'Составитель',
                    'Дата изменения', 'Изменил', 'Отв.', 'Файл', 'Доб.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    { name: "questType", hidedlg: true, hidden: true, index: 'questType' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 30, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 250, index: 'name' },
                    { name: "questTypeName", sortable: true, align: 'left', width: 60, index: 'questTypeName' },
                    {
                        name: "bookMark", sortable: true, align: 'left', width: 50, index: 'bookMark', formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.bookMark !== null && rowObject.bookMark !== "") {
                                return "<a class='text-info js_view_question_link' href='#' link-id='" + rowObject.bookMark + "' attr-id='" + rowObject.documentId + "'>" + rowObject.bookMark + "</a>";
                            }
                            return "";
                        }
                    },
                    { name: "documentName", sortable: true, align: 'left', width: 80, index: 'documentName' },
                    { name: "sectionName", sortable: true, align: 'left', width: 70, index: 'sectionName' },
                    { name: "publisherName", sortable: true, align: 'left', width: 50, index: 'publisherName' },
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 55, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 65, index: 'userHasChanged' },
                    {
                        name: "answerCount", sortable: true, align: 'center', width: 20, index: 'answerCount',
                        formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.answerCount <= 0) {
                                color = "badge-danger";
                            }
                            return "<span class='badge badge-pill " + color + " badge-cell'>" + rowObject.answerCount + "</span>";
                        }
                    },
                    {
                        name: "isHaveFile", sortable: true, align: 'center', width: 20, index: 'isHaveFile', formatter: function (cellvalue, options, rowObject) {
                            if (rowObject.isHaveFile) {
                                return "<a class='mdi mdi-file-download-outline text-info js_download_file_table_record' attr-id='" + rowObject.id + "' target='_blank' title='Просмотреть файл'></a>";
                            }
                            return "";
                        }
                    },
                    {
                        name: "btnAdd", classes: 'overflow-none', width: 25, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-plus text-success js_add_table_record' href='#' attr-id='" + rowObject.id + "' title='Добавить'></a>";
                        }
                    }
                ]; 
                _table_stg.subGrid = true;
                _table_stg.subGridRowExpanded = function (subgrid_id, row_id) {
                    we_helper.initAnswersJqGrid(page.$table, subgrid_id, row_id, "designer_includeinticket_answers", 0.75);
                };
                _actionBtn = [
                    {
                        id: "add",
                        icon: "mdi mdi-plus",
                        style: "success",
                        text: "Добавить"
                    }];
                break;
            }
            case "testingregulation": {
                crumb.push({ page: "Регламенты контроля" });
                we_helper.initSelect('/Designer/GetEnums?name=evaluationSystem', $('.select2.js-evaluation',  page._cruc.$modal), null, false, true);
                we_helper.initSelect('/Designer/GetEnums?name=assessmentType', $('.select2.js-assessment',  page._cruc.$modal), null, false, true);
                we_helper.initSelect('/Designer/GetEnums?name=rspTypeTesting', $('.select2.js-rsp',  page._cruc.$modal), null, false, true);
                we_helper.initSelect('/Designer/GetEnums?name=examRecordingType', $('.select2.js-recording',  page._cruc.$modal), null, false, true);

                 page._cruc.$modal.on('change', '.select2.js-evaluation', function (e) {
                    $(".js-assessment",  page._cruc.$modal).parent().addClass("d-none");

                    let $div_excellent = $(".div-excellent"),
                        $div_good = $(".div-good"),
                        $div_satisfactorily = $(".div-satisfactorily");

                    if ($(this).val() === "0") {
                        $div_excellent.removeClass("d-none");
                        $div_good.removeClass("d-none");
                        $div_satisfactorily.removeClass("d-none");

                        $("label", $div_excellent).text("Отлично:");
                        $("label", $div_good).text("Хорошо:");
                        $("label", $div_satisfactorily).text("Удовлетворительно:");

                        $("input", $div_excellent).prop("required", true);
                        $("input", $div_good).prop("required", true);
                        $("input", $div_satisfactorily).prop("required", true);

                    } else if ($(this).val() === "1") {
                        $div_excellent.addClass("d-none");
                        $div_good.addClass("d-none");
                        $div_satisfactorily.removeClass("d-none");
                        $("label", $div_satisfactorily).text("Пороговое значение:");

                        $("input", $div_excellent).prop("required", false);
                        $("input", $div_good).prop("required", false);
                        $("input", $div_satisfactorily).prop("required", true);

                        $(".js-assessment",  page._cruc.$modal).parent().removeClass("d-none");
                    } else {
                        $div_excellent.removeClass("d-none");
                        $div_good.addClass("d-none");
                        $div_satisfactorily.addClass("d-none");
                        $("label", $div_excellent).text("Баллов за правильный ответ:");

                        $("input", $div_excellent).prop("required", true);
                        $("input", $div_good).prop("required", false);
                        $("input", $div_satisfactorily).prop("required", false);

                    }
                });

                page._cruc.url = ["/Designer/CreateTestingRegulation", "/Designer/UpdateTestingRegulation", "/Designer/CopyTestingRegulation"];
                page._cruc.title = ["Создание нового регламента контроля", "Редактирование параметров регламента контроля", "Создание копии регламента контроля"]; 
                _searchParam.params = [
                    { text: 'Регламент или код', placeholder: 'Введите часть наименования или код регламента контроля' },
                    { text: 'Код', placeholder: 'Введите код регламента контроля' },
                    { text: 'Регламент контроля', placeholder: 'Введите часть наименования регламента контроля' },
                    { text: 'Структурная единица', placeholder: 'Введите часть наименования структурной единицы регламента' },
                    { text: 'Изменил', placeholder: 'Введите часть фамилии (логина) пользователя' }
                ];

                _table_stg.colNames = [
                    '', '', '<input type="checkbox" class="js-select-all-row" title = "Выбрать все строки" />', 'Код', 'Регламент', 'Система оценивания', 'Продолжительность контроля', 'Следующий контроль', 'Структурная единица', 'Внутренний', 'Дата изменения', 'Изменил', 'Уч.курс.', 'Ред.', 'Коп.', 'Уд.'
                ];
                _table_stg.colModel = [
                    { name: "id", hidedlg: true, hidden: true, key: true, index: 'id' },
                    { name: "filialId", hidedlg: true, hidden: true, index: 'filialId' },
                    {
                        name: "selected", width: 15, align: "center", sortable: false, title: false,
                        formatter: function (cellvalue, options, rowObject) {
                            var res = "<input class='js-select-row' title = 'Выбрать строку' attr-id='" + rowObject.id + "' type='checkbox'";
                            if ($.inArray(rowObject.id, page._table_selected_rows) !== -1) {
                                res += ' checked="checked"';
                            }
                            return res + '/>';
                        }
                    },
                    { name: "num", sortable: true, align: 'center', width: 35, index: 'num' },
                    { name: "name", sortable: true, align: 'left', width: 250, index: 'name' },
                    { name: "evaluationName", sortable: true, align: 'left', width: 100, index: 'evaluationName' },
                    { name: "testTime", sortable: true, align: 'center', width: 50, index: 'testTime' },
                    { name: "nextTesting", sortable: true, align: 'center', width: 50, index: 'nextTesting' },
                    { name: "filialName", sortable: true, align: 'left', width: 90, index: 'filialName' },
                    {
                        name: "internal", sortable: true, align: 'center', width: 20, index: 'internal',
                        formatter: function (cellvalue, options, rowObject) {
                            if (cellvalue) {
                                return "<span class='mdi mdi-checkbox-marked-outline' title='Доступен только внутри области данных'></span>";
                            } else {
                                return "<span class='mdi mdi-checkbox-blank-outline' title='Общедоступная информация'></span>";
                            }
                        }
                    }, 
                    {
                        name: "dateOfChange", sortable: true, align: 'left', width: 70, index: 'dateOfChange',
                        formatter: "date",
                        formatoptions: { srcformat: "Y-m-d H:i:s", newformat: "d.m.Y H:i:s" }
                    },
                    { name: "userHasChanged", sortable: true, align: 'left', width: 90, index: 'userHasChanged' },
                    {
                        name: "courseCount", sortable: true, align: 'center', width: 20, index: 'courseCount', formatter: function (cellvalue, options, rowObject) {
                            let color = "badge-success";
                            if (rowObject.courseCount <= 0) {
                                color = "badge-danger";
                            }                        
                            return "<a title='Учебные курсы' class='js_goto_page' attr-id='" + rowObject.id + "'><span class='badge " + color + " badge-cell'>" + rowObject.courseCount + "</span></a>";
                        }
                    },
                    {
                        name: "btnEdit", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-pencil text-primary js_edit_table_record' href='#' attr-id='" + rowObject.id + "' title='Редактировать'></a>";
                        }
                    },
                    {
                        name: "btnCopy", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-content-copy text-info js_copy_table_record' href='#' attr-id='" + rowObject.id + "' title='Копировать'></a>";
                        }
                    },
                    {
                        name: "btnDelete", classes: 'overflow-none', width: 20, align: "center", sortable: false,
                        formatter: function (cellvalue, options, rowObject) {
                            return "<a class='mdi mdi-delete-outline text-danger js_del_table_record' href='#' attr-id='" + rowObject.id + "' title='Удалить'></a>";
                        }
                    },
                ]; 
                break;
            }
            default: {
                window.open('/', '_self');
            }
        }
        we_helper.setBreadcrumb(crumb);
        let $fileViewer = $(".js_file_viewer_dialog");
        if (!!$fileViewer) {
            page._file_viewer = $fileViewer.fileViewer({
                dialog: true,
                onLoad: function ($frame) {
                    if ($frame) {
                        let src = $frame.attr("src");
                        if (!!src) {
                            if (src.indexOf("viewer.html") !== -1) {
                                $frame.contents().find("a", $(".outlineItem")).on("click", function () {
                                    $("input[name=bookMark]").val($(this).text());
                                });
                            }
                            else {
                                let content = $frame.contents();
                                content.find('head').append('<style type="text/css"> .light {background: #cccccc;} .checked {background: #6699FF;}</style>')

                                let anchor = content.get(0).location.hash;
                                if (!!anchor) {
                                    if (anchor.indexOf("#") === 0) {
                                        anchor = anchor.substring(1, anchor.length);
                                    }
                                    content.find("a[name=" + anchor + "]").parent().addClass('checked');
                                }

                                let pathToFile = content.get(0).location.pathname,
                                    fileName = pathToFile.substring(pathToFile.lastIndexOf("/") + 1, pathToFile.length);

                                if (fileName.toLowerCase().indexOf('index.htm') === -1) {
                                    content.find('a').parent().mouseover(function (event) {
                                        $(this).addClass('light');
                                        $(this).css("cursor", "pointer");
                                    }).mouseout(function () {
                                        $(this).removeClass('light')
                                    }).click(function () {
                                        content.find("a").parent().removeClass('checked');
                                        let anchor = $(this).find("a").attr("name");
                                        if (anchor != null) {
                                            $(".js-book-mark",  page._cruc.$modal).val(fileName + "#" + anchor);
                                            $(this).addClass('checked');
                                        }
                                    });
                                }
                            }
                        }
                    }
                    we_helper.hideLoader();
                }
            });
        }
        page._search = $('.js_search_panel').searchPanel({
            uid: "designer_" + page._id,
            selectParam: _selectParam,
            actionBtn: _actionBtn,
            searchParam: _searchParam,
            autocomplete: _searchAutocomplete,
            defBtn: true,
            onSearch: function (data) {
                we_helper.reloadJqGrid(page.$table, data, 1);
            },
            onClear: function (data) {
                we_helper.reloadJqGrid(page.$table, data, 1);
            },
            onAction: function (keyBtn, data) {
                switch (keyBtn) {
                    case "add": {
                        if (page._id == "moduleunit") {
                            window.open("/designer?pageid=includeunit&moduleid=" + we_helper.urlParam("moduleid") +
                                "&componentType=" + we_helper.urlParam("componentType"), "_self");
                        } else if (page._id == "progmodule") {
                            window.open("/designer?pageid=includemodule&programid=" + we_helper.urlParam("programid"), "_self");
                        } else if (page._id == "ticketquest") {
                            window.open("/designer?pageid=includeinticket&programid=" + we_helper.urlParam("programid")
                                + "&ticketid=" + we_helper.urlParam("ticketid") + "&num=" + we_helper.urlParam("num"), "_self");
                        } else if (page._id == "modulecourses") {
                            let programid = we_helper.urlParam("programid");
                            let url = "/designer?pageid=includecourse";
                            if (programid !== null) {
                                url += "&programid=" + programid;
                            }
                            url += "&moduleid=" + we_helper.urlParam("moduleid");
                            window.open(url, "_self");
                        } else if (page._id == "includemodule") {
                            if (page._table_selected_rows.length === 0) {
                                we_helper.alert("Не выбрано ни одной записи!", notificatioType.warning);
                                return;
                            }
                            page.includeModulesToProgram(page._table_selected_rows, function () {
                                page._table_selected_rows = [];
                                we_helper.reloadJqGrid(page.$table);
                            });
                        } else if (page._id == "includecourse") {
                            if (page._table_selected_rows.length === 0) {
                                we_helper.alert("Не выбрано ни одной записи!", notificatioType.warning);
                                return;
                            }
                            page.includeCoursesToModule(page._table_selected_rows, function () {
                                page._table_selected_rows = [];
                                we_helper.reloadJqGrid(page.$table);
                            });
                        } else if (page._id == "includeinticket") {
                            if (page._table_selected_rows.length === 0) {
                                we_helper.alert("Не выбрано ни одной записи!", notificatioType.warning);
                                return;
                            }
                            page.includeQuestionsToTicket(page._table_selected_rows, function () {
                                page._table_selected_rows = [];
                                we_helper.reloadJqGrid(page.$table);
                            });
                        } else if (page._id == "modulequestion") {
                            let programid = we_helper.urlParam("programid");
                            let url = "/designer?pageid=includequestion";
                            if (programid !== null) {
                                url += "&programid=" + programid;
                            }
                            url += "&moduleid=" + we_helper.urlParam("moduleid") + "&documentid=" + we_helper.urlParam("documentid") + "&componentType=" + we_helper.urlParam("componentType");
                            window.open(url, "_self");
                        } else if (page._id == "includeunit") {
                            if (page._table_selected_rows.length === 0) {
                                we_helper.alert("Не выбрано ни одной записи!", notificatioType.warning);
                                return;
                            }
                            page.includeUnitsToModule(page._table_selected_rows, function () {
                                page._table_selected_rows = [];
                                we_helper.reloadJqGrid(page.$table);
                            });
                        } else if (page._id == "includequestion") {
                            if (page._table_selected_rows.length === 0) {
                                we_helper.alert("Не выбрано ни одной записи!", notificatioType.warning);
                                return;
                            }
                            page.includeQuestionsToModule(page._table_selected_rows, function () {
                                page._table_selected_rows = [];
                                we_helper.reloadJqGrid(page.$table);
                            });
                        } else {
                            page.showModal("add");
                        }
                        break;
                    } 
                    case "delete": {
                        if (page._table_selected_rows.length === 0) {
                            we_helper.alert("Не выбрано ни одной записи!", notificatioType.warning);
                            return;
                        }

                        if (page._id == "moduleunit") {
                            page.excludeUnitsFromModule(page._table_selected_rows, function () {
                                page._table_selected_rows = [];
                                we_helper.reloadJqGrid(page.$table);
                            });
                        } else {
                            page.deleteRecords(page._table_selected_rows, function () {
                                page._table_selected_rows = [];
                                we_helper.reloadJqGrid(page.$table);
                            });
                        }
                        break;
                    }
                    case "export": {
                        page.$dlgReportSettings.modal('show');
                        break;
                    } 
                    case "union": {
                        if (page._table_selected_rows.length < 2) {
                            we_helper.alert("Выберите минимум две записи!", notificatioType.warning);
                            return;
                        }
                        page.showModal("union");
                        break;
                    }
                    default: {
                        break;
                    }
                }
            }
        });
        we_helper.initJqGrid(page.$table, _table_stg, page._search.api().get_data(), function () {
            $('.js-select-all-row').prop('checked',
                we_helper.isAllSelected($('.js-select-row', page.$table)));

            if (page._id === "moduleunit" || page._id === "includeunit") {
                let componentType = we_helper.urlParam("componentType");
                if (componentType === "0") {
                    page.$table.showCol(["sectionName", "totalQuestionCount"]);
                }
            }
        });
    },
    showModal: function (act, id) {
        if (act === "edit" || act === "copy") {
            we_helper.getDataDB("/Designer/GetRecord", {
                id: id,
                pageid: page._id
            }, "query", false, function (entity) {
                page._data = entity;
                page._data["actionid"] = act;
                if (!!entity.extension) {
                    page._data["fileName"] = entity.id + entity.extension;
                }
                let modaltitle = page._cruc.title[1];
                if (act === "copy") {
                    modaltitle = page._cruc.title[2];
                    $(".onlycopyproperty").removeClass("d-none");
                    if (page._data.filialId !== page._cur_user_filial.id) {
                        delete page._data["publisherId"];
                        delete page._data["publisherName"];
                        delete page._data["departmentId"];
                        delete page._data["departmentName"];
                        delete page._data["testingRegulationId"];
                        delete page._data["testingRegulationName"];
                    }
                }
                we_helper.setFormData(page._cruc.$modal, page._data);
                $(".content-type-container").addClass("d-none");
                $('.modal-title', page._cruc.$modal).text(modaltitle);
                page._cruc.$modal.modal('show');
                we_helper.hideLoader();
            });
        } else if (act === "add" || act === "union") {
            let search_data = page._search.api().get_data();
            if (!search_data["filialid"]) {
                if (!!page._cur_user_filial.id) {
                    search_data["filialid"] = page._cur_user_filial.id;
                    search_data["filialname"] = page._cur_user_filial.text;
                } else { 
                    search_data["filialid"] = page._sys_owner_filial.id;
                    search_data["filialname"] = page._sys_owner_filial.text;
                }
            }   
            we_helper.getDataDB("/Designer/GetNextRecordNumber", search_data, "query", false, function (entity) {
                we_helper.setFormData(page._cruc.$modal, {
                    filialId: search_data.filialid,
                    filialName: search_data.filialname,
                    num: entity
                }); 
                let modaltitle = page._cruc.title[0];
                if (act === "union") {
                    page._data["actionid"] = act;
                    modaltitle = page._cruc.title[3];
                    $(".onlycopyproperty").removeClass("d-none");
                }
                $(".content-type-container").removeClass("d-none");
                $('.modal-title', page._cruc.$modal).text(modaltitle);
                page._cruc.$modal.modal('show');
                we_helper.hideLoader();
            });
        } else {
            we_helper.alert("Некорректно задан код действия: " + act, notificatioType.warning);
        }
    },
    deleteRecords: function (ids, callback) {
        let notify = page._id === "sequence"
            || page._id === "sequenceoption" || page._id === "programmable"
            || page._id === "programmableoption" || page._id === "programmablevariable"
            || page._id === "training" || page._id === "trainingadditionmenu"
            || page._id === "module" || page._id === "program" || page._id === "testingregulation";
        we_helper.deleteDataDB("/Designer/DeleteRecords", {
            pageid: page._id,
            ids: ids
        }, function () {
            if (callback) {
                callback();
            }
        }, notify);
    },
    deleteFiles: function (ids, callback) {
        we_helper.deleteDataDB("/Designer/DeleteFiles", {
            pageid: page._id,
            ids: ids
        }, function () {
            if (callback) {
                callback();
            }
        }, true);
    }, 
    updateRecord: function () {
        page._data = $.extend(page._data, we_helper.getFormData( page._cruc.$modal));
        let index = 0;
        if (page._data.id !== undefined && page._data.id !== null && page._data.id !== "") {
            if (page._data["actionid"] === "edit") {
                index = 1;
            } else if (page._data["actionid"] === "copy") {
                index = 2;
            }
        } else if (page._data["actionid"] === "union") {
            index = 3;
            page._data["ids"] = page._table_selected_rows;
        }

        let $upload = $("#fileUploader");
        if ($upload.length > 0 && $upload.get(0).files.length > 0) {
            let files = $upload.get(0).files;
            var formData = new FormData();
            formData.append(files[0].name, files[0]);
            if (page._data) {
                $.each(page._data, function (key) {
                    if ($.isArray(page._data[key])) {
                        for (var i = 0; i < page._data[key].length; i++) {
                            formData.append(key + "[]", page._data[key][i]);
                        }
                    } else {
                        formData.append(key, page._data[key]);
                    }
                });
            }
            we_helper.uploadFile(page._cruc.url[index], formData, function () {
                page._table_selected_rows = [];
                 we_helper.reloadJqGrid(page.$table);
                 page._cruc.$modal.modal('hide');
            });
        }
        else {
            we_helper.updateDataDB(page._cruc.url[index], page._data, function () {
                page._table_selected_rows = [];
                 we_helper.reloadJqGrid(page.$table);
                 page._cruc.$modal.modal('hide');
            });
        }
    },
    includeUnitsToModule: function (ids, callback) {
        we_helper.updateDataDB("/Designer/IncludeUnitsToModule", {
            ids: ids, 
            moduleid: we_helper.urlParam("moduleid")  
        }, function () {
                if (callback) {
                    callback();
                }
        });
    },
    excludeUnitsFromModule: function (ids, callback) {
        we_helper.deleteDataDB("/Designer/ExcludeUnitsFromModule", {
            ids: ids,
            moduleid: we_helper.urlParam("moduleid")
        }, function () {
            if (callback) {
                callback();
            }
        });
    }, 
    includeQuestionsToModule: function (ids, callback) {
        we_helper.updateDataDB("/Designer/IncludeQuestionsToModule", {
            ids: ids,
            moduleid: we_helper.urlParam("moduleid"),
            documentid: we_helper.urlParam("documentid")
        }, function () {
            if (callback) {
                callback();
            }
        });
    },
    includeModulesToProgram: function (ids, callback) {
        we_helper.updateDataDB("/Designer/IncludeModulesToProgram", {
            ids: ids,
            programid: we_helper.urlParam("programid") 
        }, function () {
            if (callback) {
                callback();
            }
        });
    },
    includeCoursesToModule: function (ids, callback) {
        we_helper.updateDataDB("/Designer/IncludeCoursesToModule", {
            ids: ids,
            moduleid: we_helper.urlParam("moduleid")
        }, function () {
            if (callback) {
                callback();
            }
        });
    }, 
    includeQuestionsToTicket: function (ids, callback) {
        we_helper.updateDataDB("/Designer/IncludeQuestionsToTicket", {
            ids: ids,
            ticketid: we_helper.urlParam("ticketid")
        }, function () {
            if (callback) {
                callback();
            }
        });
    },
    cacheDocumentBeforeOpen: function (id, link) {
        we_helper.getDataDB("/Designer/CacheDocumentBeforeOpen", { documentid: id }, "query", false, function (entity) {
            page._file_viewer.api().view(entity, link);
        });
    },
    sendProgramsToCurator: function (ids, callback) {
        bootbox.confirm({
            message: "Вы уверены, что хотите отправить проверяющим, ответственным за актуальность учебных курсов, тестовые задания на проверку?",
            swapButtonOrder: true,
            buttons: {
                cancel: {
                    label: "<span class='mdi mdi-close pr-lg-1'></span><span class='d-none d-lg-inline-block'> Отмена</span>",
                    className: 'btn-sm btn-danger'
                },
                confirm: {
                    label: "<span class='mdi mdi-check pr-lg-1'></span><span class='d-none d-lg-inline-block'> Да</span>",
                    className: 'btn-sm btn-success'
                }
            },
            callback: function (result) {
                if (result) {
                    we_helper.showLoader();
                    $.ajax({
                        url: "/Designer/SendProgramsToCurator",
                        type: 'POST',
                        cache: false,
                        data: {
                            ids: ids
                        },
                        success: function (response) {
                            if (response.result == 1) {
                                we_helper.alert("Данные успешно отправлены.", notificatioType.success);

                            } else {
                                we_helper.alert(response.message, notificatioType.danger);
                            }

                            if (callback) {
                                callback();
                            } else {
                                we_helper.hideLoader();
                            }
                        },
                        error: function (err) {
                            we_helper.hideLoader();
                            we_helper.alert('Ошибка загрузки страницы: ' + err.statusText + '. Закройте все окна браузера и повторите попытку.', notificatioType.danger);
                        }
                    });
                }
            }
        });
    } 
};

